# Swift 开源项目精选导图

这份文档主要基于微博 [@SwiftLanguage](https://weibo.com/swiftlanguage) 跟踪过活跃于 Swift 语言领域的那些 GitHub 开源项目，顺便也是对于过去几年关注的内容进行一次系统化梳理。尝试整理出一份相对结构化且精练的 Swift 开源项目参考知识库，它将主要以思维导图形式呈现。

导图分类规则尽可能遵循[苹果开发者文档](https://developer.apple.com/documentation/)（对应关系仅做参考），试图与官方类库分类尽量有一个对照关系（其初衷是引导开发者不要为了使用开源而忽视官方类库本身已经具备的功能特性）；筛选规则主要参考过去四年多来微博分享，综合了库的实用性、稳定性、star/fork，以及活跃度等因素，筛选出其中一个子集，整理后的开源项目数量目前为 400 多个项目。导图将以一整张大图及 myMindNode 浏览两种方式访问。另外，站在开发者应用开发视角，额外筛检了一份更精简且分类明细的 [Swift 开源项目精选 - 应用架构角度](OpenSourceforSwift-ApplicationArchitecture.md)。

订阅后显示部分目前实为持续更新的 myMindNode 链接及明细内容浏览方式（叶子节点针对每一个收录开源项目的中文简介）。此外，附上项目中部分 [Swift 知名开发者介绍](SwiftDevelopers.md) 和 [Swift 开源项目团队介绍](SwiftDevelopmentTeam.md)，以便于进一步了解其中部分优秀项目开发者背景。另外，考虑到开源项目的发展及持续更新。本文档并非最终稿，它将与微博  [@SwiftLanguage](https://weibo.com/swiftlanguage)  同步更新（周为单位）。对于那些不再活跃或中止的项目也会尽力删减。对于 Swift 新手欢迎关注文档 [Swift 开发指引](http://swiftguide.cn) 以及  [Swift 语言指南](https://github.com/ipader/SwiftGuide/blob/master/README20181213.md) (13.9k+ stars)，其中有项目介绍、入门文章等与 Swift 开发相关的信息。

![](OpenSourceforSwift-Classification.png?raw=true)
[myMindNode浏览及导图原文档下载……](https://my.mindnode.com/s4jn5DKQV7qwpCdnyd12sDXcnTYJmFzPNghYx91s)

## 附：MindNode 格式导图导出的文本内容
* [浏览 Markdown 版本](OpenSourceforSwift-Classification-MindNode.md)
* [浏览 PDF 版本](OpenSourceforSwift-Classification.pdf)

注：开源项目范围广泛，能力所及，其中主观性强烈，甚至不少错误之处，望包涵、指正。
