# Recently Included Swift Projects

![](RecentlyIncludedSwiftProjects.png)

## *Shared & Featured*

- <*Tool to debug layouts*> isavynskyi/LayoutInspector ➟ iOS

	3D 视角 iOS 应用布局视图检查器。

- <*A simple routing library*> hubrioAU/XRouter ➟ iOS

	一款使用简单，结构清晰同时支持 URL 的应用路由库。

- <*Editor Kit*> GeekTree0101/VEditorKit ➟ iOS

	功能强大、完成度非常高的 iOS 编辑器组件。

- <*cross-platform and chainable file-pathing*> mxcl/Path.swift ➟ iOS | macOS | watchOS | Linux

	功能完整的文件系统针对目录级路径的 CRUD（增删改查）。

- <*customizable Markdown Parser*> moliveira/MarkdownKit ➟ iOS | macOS

	一款简单地可定制化 Markdown 解析预览类库。

- <*network debugging tool*> yagiz/Bagel ➟ iOS | macOS

	iOS 网络通讯本地调试神器（用 Bounjour 协议，不需要繁琐的连接证书之类的）。

- <*third-party dependencies*> mxcl/swift-sh ➟ macOS | Linux

	最简单、实用的依赖库导入脚本。这太方便了

- <*floating panel*> IdeasOnCanvas/Aiolos ➟ iOS

	MindNode  iOS 项目中使用的浮动面板。

- <*liquid swipe animation* > Cuberto/liquid-swipe ➟ iOS

	液滑动画效果升级版。

- <*pure swift PNG decoder and encoder* > kelvin13/png ➟ macOS | Linux

	纯 Swift 代码解析 PNG 格式，返回图像原始像素数据和尺寸。

- <*Mac style Menu*> TwoLivesLeft/Menu ➟ iOS

	著名 iPad 编程应用 Codea（Lua 语言） 开源传统菜单如何存在于小屏幕设计思路及解决方案。

- <*@dynamicMemberLookup feature*> saoudrizwan/DynamicJSON ➟ iOS | macOS | watchOS

	采用 Swift 4.2 新特性 （@dynamicMemberLookup） 实现轻便访问 JSON 数据。

- <*iOS SDK for AWS AppSync*> awslabs/aws-mobile-appsync-sdk-ios ➟ iOS

	来自 Amazon Web Services 实验室的 AWS AppSync iOS SDK。

- <*HTTP/2 support for SwiftNIO*> apple/swift-nio-http2 ➟ iOS | macOS | watchOS | Linux

	苹果发布 SwiftNIO 针对 HTTP/2 的开源支持库。

- <*Instagram filters implemented in Metal*> alexiscn/MetalFilters ➟ iOS

	基于 Metal 框架实现的 Instagram 风格图片滤镜库。

- <*wrapper for Apple’s Reachability*> rwbutler/Connectivity ➟ iOS

	基于 Reachability 的封装类库，检查 当前 Wi-Fi 互联网连接性及即时状态。

- <*UIKit extensions*> haoking/SwiftyUI ➟ iOS

	轻量、高性能的 UI 渲染及扩展类库。

- <*AR paths*> maxxfrazer/ARKit-SCNPath ➟ iOS

	方便地绘制一条 AR 场景导航路径。

- <*grids and lists layout*> airbnb/MagazineLayout ➟ iOS

	出自 Airbnb 栅格级 CollectionView 布局库。

- <*code formatter*> inamiy/SwiftRewriter ➟ CLI environment

	基于 SwiftSyntax 针对代码进行自动格式化（其中包括基于代码规范进行简单的代码优化）。

- <*WKWebView*> LinusU/Marionette ➟ iOS | macOS

	通过一套更高级的 API 控制 WKWebView。对标 Google Chrome 的 Puppeteer 库。

- <*utilities*> hollance/CoreMLHelpers ➟ iOS

	一些输入/输出类型转换和扩展，以便于更容易地去使用 CoreML 。

- <*Swift on ARM devices*> uraimo/buildSwiftOnARM ➟ Shell

	持续提供使 Swift 运行于 ARM 上的编译版本（已经更新到 Swift 4.1.3 ），它几乎支持所有的（运行于 Ubuntu 16.04 和 Raspbain）树莓派版本。

## *Shared Only*

- *<A collection of iOS architectures>* tailec/ios-architecture ➟ iOS

	iOS 程序开发框架项目实践。

- <*DSL for UIKit*> mecid/UIKitSwiftDSL ➟ iOS 

	Swift DSL for UIKit

- <*Automated mutation testing*> SeanROlszewski/muter ➟ iOS | macOS | watchOS | Linux

	变异测试（mutation testing）库的探索与实践。

- <*modal/alert*> loryhuz/CleanyModal ➟ iOS 

	一套清洁带交互的模式/弹窗组件。

- <*Messenger*> instamobile/messenger-iOS-chat-swift-firestore ➟ iOS 

	基于组件 MessageKit 及实时通讯云 Firestore 的即时通讯实现（功能参考 Facebook Messenger）。

- *<image assets and styling UIButton>* gabrieloc/roundrect ➟ iOS

	代码方式渲染 UIButton 显示风格及样式。

- *<Mechanical Keyboard Simulator>* x0054/MKS ➟ macOS

	机械键盘按键声效模拟器，MBP 使用时很舒爽的感觉。机械键盘控们可以试试。

- *<Redux + MVVM>* grzeszczak/ReMVVM ➟ iOS

	ReMVVM is an application architecture concept, marriage of Unidirectional Data Flow (Redux) with MVVM.

- *<tracking autolayout feedback loops> rsrbk/LayoutLoopHunter* ➟ iOS

	追踪潜在的自动布局反馈循环引起的 OOM（Out of Memory）应用崩溃。

- <*iOS Project Template*> pgorzelany/iOS-project-template ➟ iOS

	快速少弯路的 iOS 项目开发最佳实践模板。

- <*dependency injection framework*> uber/needle ➟ iOS | macOS | watchOS

	Uber 开源的类似 Dagger（Java）的依赖注入框架。

- <*child view controller framework*> zenangst/Family ➟ iOS | macOS

	子视图控制器框架。使你的应用代码更加模块化，灵活性和可测试性，并且在构建复杂布局时也不失其可维护性。

- <*3D geometry*> nicklockwood/Euclid ➟ iOS | macOS | watchOS | Linux

	创建和操控 3D 几何图形类库。

- <*localization*> igorkulman/iOSLocalizationEditor ➟ iOS

	一款生产力编辑器，通过简单直观、统一的界面编辑 Localizable.strings 文件。

- <*API document in Markdown*> eneko/SourceDocs ➟ CLI environment

	命令行工具产生 Markdown 格式源码 API 文档。

- <*GitHub client*> khoren93/SwiftHub ➟ iOS

	一款功能在线的 GitHub 客户端（程序框架采用 RxSwift + MVVM）。

- <*Playground generator*> JohnSundell/Shapeshift ➟ CLI environment

	一款 Playground 效率工具。快速地转换当前目录及子目录内所有 Swift 文件到（兼容 iPad 运行的） Playground 项目。

- <*UI styles using Swifty Method Chain*> shindyu/ApplyStyleKit ➟ iOS

	常用 UI 组件样式的链式操作（实现逻辑简单、轻量）。

- <*write Shortcuts in Playground*> a2/shortcuts-swift ➟ iOS

	用 Swift 在 Playgrounds 中写捷径。

- <*feature switch*> rwbutler/FeatureFlags ➟ iOS

	特性切换配置（本地或远程）框架库（测试方案支持 A/B 及 MVT）。

- <*collection scrolling*> Cuberto/smooth-scroll ➟ iOS

	顺滑滚动过程中标题和内容卡式切换。

