## Swift 文章精选
基于《[Swift 语言指南](https://github.com/ipader/SwiftGuide)》收录过的文章，做了一个甄别和筛选。目的是摒弃杂音，更利于提高学习效率。

> [@SwiftLanguage](http://weibo.com/swiftlanguage) 更新至 2016-5-17，最近新收录 9 份（详见《[Issue - 53](weekly/Issue-53.md)》），合计已收录 247 份。

### 教程和指南
* [Swift 入门指引](http://dev.swiftguide.cn/archive/getting-started-in-swift_v1.0.html)：以官方文档为基础结合已有中译版，整了一份简版 Swift 入门指引。作者：[@SwiftLanugage](http://weibo.com/swiftlanguage)
* 斯坦福大学公开课
	* [iOS 8 开发](http://open.163.com/special/opencourse/ios8.html)：中文字幕版已经更新至第 6 集。网易公开课与时俱进程度简直是教育界的表率，强烈推荐。来源：[@网易公开课](http://weibo.com/163open)，字幕来源：[Stanford 公开课，Developing iOS 8 Apps with Swift 字幕翻译](https://github.com/x140yu/Developing_iOS_8_Apps_With_Swift)
	* [iOS 9 开发](https://github.com/X140Yu/Developing-iOS-9-Apps-with-Swift)
* Swift Style Guide：[RayWenderlich 版](https://github.com/raywenderlich/swift-style-guide)（[中文版](http://letsswift.com/2014/07/swift-style-guide/)），[GitHub 版](https://github.com/github/swift-style-guide)（[中文版](https://github.com/Artwalk/swift-style-guide/blob/master/README_CN.md)）
* [iOS Core Animation: Advanced Techniques 中文译本](https://zsisme.gitbooks.io/ios-/content/) By [钟声](https://github.com/ZsIsMe)。原文：[Core Animation Advanced Techniques](http://www.amazon.com/iOS-Core-Animation-Advanced-Techniques-ebook/dp/B00EHJCORC/ref=sr_1_1?ie=UTF8&qid=1423192842&sr=8-1&keywords=Core+Animation+Advanced+Techniques)，译者：[FeiXu](https://github.com/AttackOnDobby), [even](https://github.com/evenluo/)
* [包管理器](https://github.com/nixzhu/dev-blog/blob/master/2015-12-04-swift-package-manager.md)：“简言之：一个包即一个有着语义版本 tag 的 git 仓库，其中包含 Swift 源代码，以及一个放在根目录的 Package.swift 清单文件”。译者：[@nixzhu](http://weibo.com/nixzhu)
* [iOS证书申请、开发、打包、排查等系列教学](http://superdanny.link/2015/09/24/iOS-about-certification-guide/)：“本文是基于先人经验进行的总结整理。整理这篇文章的目的是为了让开发者能够更好更快的掌握iOS开发的整个打包流程，同时也方便本人以后查阅，减少不必要的时间。让整个开发流程简单易懂”。作者：[@Danny_吕昌辉](http://weibo.com/lovejameslvforever)
* [Writing High-Performance Swift Code (Apple)](https://github.com/apple/swift/blob/master/docs/OptimizationTips.rst)
* [codepath/ios_guides](https://github.com/codepath/ios_guides)：通过众包模式为开发者写更专业（系统化一条龙学习平台）的开发教程。此项目若能长期长展，所有人都会受益。感兴趣的同学可以参与其中。
* Swift REPL（Read - Eval - Print Loop） － [1. 入门介绍](http://idlelife.org/archives/842)，[2. 一切皆可重定义](http://www.cocoachina.com/ios/20150212/11147.html)：习惯命令行式、解释型语言风格实时预览代码运行结果的同学，这两篇来自苹果官方博客的文章不容错过。译者：[@pockry](http://weibo.com/pockry) / [@MichealGeng](http://weibo.com/u/3039394685)
* [UIStackView](http://www.cnblogs.com/tieria/p/4572882.html)：“iOS9 新增的 UIStackView 官方文档翻译”。译者：[@潇湘TT](http://weibo.com/tieria0512)
* [Alamofire - 1. 基础教程](http://www.jianshu.com/p/f1208b5e42d9)，[2. 进阶教程](http://www.jianshu.com/p/30599f64a09c)：该系列教程通过示例项目分步骤详细介绍了 Alamofire 网络库的使用技巧。Alamofire 是 Mattt Thompson 为其著名的 AFNetworking 采用 Swift 重写的网络库。来源：Ray Wenderlich，作者：Essan Parto，译者：[@星夜暮晨](http://weibo.com/u/3227937731)
* [RxSwift 函数响应式编程](https://realm.io/cn/news/slug-max-alexander-functional-reactive-rxswift/)：“异步操作的代码为什么会成为程序员的梦魇呢？函数响应式编程旨在简化异步操作，让您像操作变量一样来操作闭包。RxSwift 是一个全新的第三方库，让事件驱动应用更容易进行管理，让您不再为此而烦恼。By [RealmChina](http://weibo.com/realmchina)”。来源：Realm
* [Swift 的响应式编程革命](http://mp.weixin.qq.com/s?__biz=MzA3ODg4MDk0Ng==&mid=2651112245&idx=1&sn=6536b90c09651380ec2009eb46ed9281#rd)（来源：[@移动开发前线](http://weibo.com/u/5861126740)）

	本文以 RxSwift 为例介绍响应式编程：“Rx 的面具下没有魔法，RxSwift 所用到的都是一些既有的东西，它只是建立概念，用聪明的方法将这些东西粘在一起，来创建一个强大的异步计算的抽象概念。” 
* [如何使用 iOS 9 应用瘦身功能](http://swift.gg/2016/01/07/app-thinning-appcoda/)：实用性很强的文章。用户体验从应用下载开始，此文由此细节展开。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)
* [watchOS 2教程(一)：开始吧](http://www.jianshu.com/p/b485c8b77f86)、[watchOS 2 教程(二)：列表](http://www.jianshu.com/p/ccebc8a8f46d)。译者：[Swift_波](http://www.jianshu.com/users/d9259bf41bc7/latest_articles)，译文来源：Ray Wenderlich [watchOS 2 Tutorial Part 1: Getting Started](http://www.raywenderlich.com/117196/watchos-2-tutorial-part-1-getting-started)，[watchOS 2 Tutorial Part 2: Tables](http://www.raywenderlich.com/117249/watchos-2-tutorial-part-2-tables)
* [3D Touch介绍：电子秤App与快捷操作](http://swift.gg/2015/11/19/3d-touch-tutorial/)：“随着 iPhone6s 与 6s plus 的到来，苹果给我们展现了一种全新的交互方式：重按手势。...”。P.S. 搭配之前的《[3D Touch之我见](http://swift.gg/2015/10/23/3d-touch-impressions-and-thoughts/)》疗效更佳。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)
* [Swift 中枚举高级用法及实践](http://swift.gg/2015/11/20/advanced-practical-enum-examples/)：“本文是一篇详细且具有实战意义的教程，涵盖几乎所有枚举(Enum)知识点，为你解答Swift中枚举的应用场合以及使用方法”。译者：[@请叫我_小锅_ @PPPPPPMST](http://weibo.com/u/2085734687)
* [Swift Documentation](http://nshipster.com/swift-documentation/)：“对于开发者来讲，良好的代码结构及组织是其引以为豪的事。干净、一致的代码习惯，对于编译器并无所谓，但程序字里行间可以代表个人符号、或与同伴的差异”。两位博主的倾情合作，有了这篇美文。来源：NSHipster
* [Swift 的响应式编程](https://github.com/bboyfeiyu/iOS-tech-frontier/blob/master/issue-3/Swift%E7%9A%84%E5%93%8D%E5%BA%94%E5%BC%8F%E7%BC%96%E7%A8%8B.md)：文章通过在使用 MVC 以及 MVVM 中发现代码繁杂的弊病，引出响应式编程解决方案，并通过解读 [ReactiveCocoa](https://github.com/ReactiveCocoa/ReactiveCocoa)，让读者进一步理解响应式编程所带来的好处。原文：[Reactive Swift](https://medium.com/swift-programming/reactive-swift-3b6050375534)，译文来源：[@开发技术前线](http://weibo.com/u/5589212242)，译者：[@MrSimp1e](http://weibo.com/mrsimp1e)
* [iOS 架构模式 - 简述 MVC, MVP, MVVM 和 VIPER](https://blog.coding.net/blog/ios-architecture-patterns)：归纳简洁、清晰又完整，集图文和 Swift 示例代码结合的框架介绍。非常值得阅读的好译文。译文来源：[@Coding](http://weibo.com/clouddevelopment)，译者：王哼哼
* [构建 Swift 框架所面临的挑战](https://realm.io/cn/news/marius-rackwitz-challenges-building-swift-framework/)：“在 Realm 在构建 Swift 动态框架的过程中，仍然存在着不少的挑战。在这个 MBLTDev 2015 的演讲中，Marius 总结了团队的相关经验，指出需要避免的陷阱，并且给予相应的提示，以便帮助您找到在快速发展的 Swift 生态系统中进行开发的舒适点。”。来源：Realm
* [如何用 Swift 语言构建一个自定控件](http://beyondvincent.com/2014/08/28/2014-08-27-How-To-Make-a-Custom-Control-in-Swift/)：本文通过讲解如何编写一款两端都可以滑动（以获取最大值及最小值）的 RangeSlider 自定义控件（功能相当于两个 UISlider），让初学者真正地理解其开发步骤和方法，体验其中乐趣。来源：Ray Wenderlich，译者：[@BeyondVincent](http://weibo.com/beyondvincent)
* [为 iPhone 6 设计自适应布局](http://www.devtalking.com/articles/adaptive-layout-for-iphone6-1/)（[一](http://www.devtalking.com/articles/adaptive-layout-for-iphone6-1/)、[二](http://www.devtalking.com/articles/adaptive-layout-for-iphone6-2/)） ："当你们学习完这篇文章后，你们应该会比较自如的使用 storyboard、constraints、size classes 这三个 Apple 在 Xcode 里提供的工具，去探索和构建巧妙的自适应布局"。原文：[ADAPTIVE LAYOUTS FOR iPHONE 6](http://mathewsanders.com/designing-adaptive-layouts-for-iphone-6-plus/)，译者：[@DevTalking](http://weibo.com/jacefu) 
* [WKWeb​View](http://nshipster.cn/wkwebkit/)：“WKWebView 是现代 WebKit API 在 iOS 8 和 OS X Yosemite 应用中的核心部分。它代替了 UIKit 中的 UIWebView 和 AppKit 中的 WebView，提供了统一的跨双平台 API”。来源：[@NSHipster](http://weibo.com/nshipster)，作者：Mattt Thompson，译者：[@刘镇夫](http://weibo.com/croath)
* [Java​Script​Core](http://nshipster.cn/javascriptcore/)：文章介绍了在 Swift 中使用 Javascript 的方法和技巧。来源：[@NSHipster](http://weibo.com/nshipster)，作者：Nate Cook（是一位独立的 Web 应用开发者及非常活跃的 Swift 博主），译者：[April Peng](http://nshipster.cn/translators/april-peng/)
* [Core Location in i​OS 8](http://nshipster.cn/core-location-in-ios-8/)：本文侧重于 iOS 8 核心位置服务的权限、室内位置追踪、CLVisit 等角度做了针对性介绍。来源：[@NSHipster](http://weibo.com/nshipster)，译者：[April Peng](http://nshipster.cn/translators/april-peng/)
* [IBInspectable / IBDesignable](http://nshipster.cn/ibinspectable-ibdesignable/)：通过两者的配合，所见即所得修改界面元素显示属性。尽管这样开发方式对于程序员来讲，并非那么地不可或缺（维护时很有用）。然而，对于设计师，则可以更多地参与界面开发，以有效提高实施效率。来源：[@NSHipster](http://weibo.com/nshipster)，译者：[April Peng](http://nshipster.cn/translators/april-peng/)
* [NSHipster - CloudKit](http://nshipster.com/cloudkit/)：一篇非常实用的 CloudKit 入门指南。通过轻便地 CloudKit API 管理应用数据，由 iCloud 平台来保证应用数据安全，舍它取谁。[嘻嘻] P.S. 恭喜 [@刘镇夫](http://weibo.com/croath) 同学转正为 nshipster.com 作者了。
* [Swift 方法的多面性](http://objccn.io/issue-16-3/)：非常基础、易读的文章。相比官方《Swift Programming Language》对应章节，这篇文章讲解得更细、更通俗一些。适合入门者。来源：objc.io，译者：[@唯木念](http://weibo.com/u/1709283185)
* [多范式编程语言－以 Swift 为例](http://www.infoq.com/cn/articles/multi-paradigm-programming-language-swift)：Swift 基本语法的分类总结。浅显易懂，非常适合初学者阅读参考。作者：[郭麟](http://www.infoq.com/cn/author/%E9%83%AD%E9%BA%9F)
* [如何在 Swift 中创建 Action 扩展](http://www.devtalking.com/articles/how-to-create-action-extension/)：通过一个简单的 Action 扩展教你如何将 Safari 中拷贝的文本读入 Note 应用中。开发步骤很清晰，并提供完整示例项目代码 https://github.com/jorjuela33/NoteApp。虽然它"只是一个简单的Aciton扩展的例子，但我们可以由此延伸出更多有用、有创意的功能"。 译者：[@DevTalking](http://weibo.com/jacefu)
* [在 iOS 8 中使用 Handoff](http://www.cocoachina.com/ios/20150115/10926.html)：“本文通过一个包含不同功能的联系人示例工程详细讲述了如何进行 Handoff 开发，以及需要注意的地方。By @CocoaChina”。来源：[AppCoda](http://www.appcoda.com/handoff/) ，译者：[@_HuaQiao](http://weibo.com/u/2509273763)
* [Swift 通知推送新手指南](http://swift.gg/2016/03/15/push-notification-ios/)：“推送通知已经成为绝大多数应用的标配功能，技术上并不复杂，实现起来却有不少坑。今天这篇长文手把手教你实现通知推送，AppCoda 出品，强烈推荐”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@bestswifter](http://weibo.com/bestswifter)
* [Design-Patterns-In-Swift](https://github.com/ochococo/Design-Patterns-In-Swift)：列举了常用设计模式，并结合 Swift 程序实现进行讲解。除了回顾设计模式外，它更易于理解 Swift 语言特性，以及了解 Swift 与其它编程语言间的差异。
* [Strings in Swift](http://oleb.net/blog/2014/07/swift-strings/)：深入了解使用 String 的更高级技巧（尤其在 Unicode 的使用上）。为了更直观理解示例代码运行状态，作者附上了与本文几乎完全一致的 Playground 项目下载。P.S. 如今 Playground 已经成为讲授 Swift 使用小技巧及语言特性必备。
* [Swift 2.2 的新特性](http://swift.gg/2016/03/23/swift-22-new-features/)：优化的不少细节提升了友好性。译者：[@walkingway](http://weibo.com/walkingway)
* [Strings in Swift 2 译文](http://www.devtf.cn/?p=989)：“Swift 提供高性能，兼容 Unicode 的 String 作为标准库的一部分，在 Swift 2.0，String 类型不再符合CollectionType协议，曾经String是字符的集合，类似于 Array。现在，String 提供了一个公开字符集视图的charactes属性...”。译文来源：[@开发技术前线](http://weibo.com/u/5589212242)
* [从 SDK 详说 Swift 代码的改变](http://www.csdn.net/article/2015-08-17/2825473-swift-er-sdk)：“Xcode 7中，几乎所有常见框架都指定了其API的nullability注解，包括其集合类型的元素，这使得Swift代码的样子发生了变化，而通过To Latest Swift Syntax会将实现从Swift 1.2到2.0的代码转换”。译文来源：[@CSDN移动](http://weibo.com/csdnmobile)
* [Swift 的函数式 API](http://objccn.io/issue-16-4/)：“一篇质量非常高的译文，用很简明的例子从基础开始阐述了 Swift 中函数式 API 的思想。这是一片 Swift 带来的新天地，真心推荐一看。By [@onevcat](http://weibo.com/onevcat) ”。译者：[@请叫我汪二](http://weibo.com/small1030light)
* [CMDevice​Motion](http://segmentfault.com/a/1190000002400742)：关于传感器框架的解读及使用方法的介绍。让开发者对如何使用三轴陀螺仪、加速感应器、运动协处理器及框架有个基本了解。此外，文章更重要的是启发开发者如何采用传感器结合各种场景开发新颖好玩的应用。来源：[@SegmentFault](http://weibo.com/segmentfault)，译者：Cruise Chan
* [理解 iOS 8 中的 Photo Editing Extension](http://www.cocoachina.com/ios/20150122/10978.html)：“我们一起来看看怎样制作一个 Photo Editing Extension。由于我们的关注点在创建应用程序扩展而不是写一个完整的应用，我已经创建了一个你们可以下载并且一路跟着做的上手项目...”。来源：AppCoda，译者：[@X140Yu](http://weibo.com/272255634)
* [Realm 数据库基础教程](http://www.cocoachina.com/ios/20150505/11756.html)：“Realm 是一个跨平台的移动数据库引擎，于 2014 年 7 月发布，准确来说，它是专门为移动应用所设计的数据持久化解决方案之一。Realm 可以轻松地移植到您的项目当中，并且绝大部分常用的功能（比如说插入、查询等等）都可以用一行简单的代码轻松完成”。来源：[Ray Wenderlich](http://www.raywenderlich.com/81615/introduction-to-realm)，译者：[@星夜暮晨](http://weibo.com/moonisky)
* [使用 Realm 和 Swift 创建 ToDo 应用](http://swift.gg/2015/12/08/building-a-todo-app-using-realm-and-swift/)：“最近，我无意中发现了 Realm，一个可以替代 SQLite 和 Core Data 的更好的解决方案”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，来源：[AppCoda](http://www.appcoda.com/realm-database-swift/)，作者：Hossam Ghareeb
* [使用 SwiftyDB 来管理 SQLite 数据库](https://segmentfault.com/a/1190000004670954)：“从开发者的角度来说，对一个 SQLite 中的数据进行插入、更新、检索本身就是一件容易的事...”。原文来源：[App Coda](http://www.appcoda.com/swiftydb/)，译者：[@BigNerdCoding](http://weibo.com/1314ddml)。[SwiftGG 译文版本](http://swift.gg/2016/05/17/swiftydb/)
* Swift编程风格指南－[Ray Wenderlich 版](http://letsswift.com/2014/07/swift-style-guide/)，[GitHub 版](https://github.com/Artwalk/swift-style-guide/blob/master/README_CN.md)：编程风格指南的目标是让 Swift 代码更简洁、可读性更强。
* [Swift 编程思想，第一部分（补遗）：牺牲小马](http://swift.gg/2016/03/21/thinking-in-swift-1-addendum/)：“[Swift 编程思想系列文章](http://swift.gg/tags/Crunchy-Development/) 是 SwiftGG 最受欢迎的系列文章之一。作者写完整个系列之后又补充了一些内容，深入讨论强制解析(!)的正确用法。”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)。P.S. 有人认为细节决定成败，也有人认为不要过分细节。无论哪一种，都不能丢失全局观（与文章无关）。
* [我的 iOS 开发入门自学路径](http://www.jianshu.com/p/4be17ec40cfc)：如此清晰、有效的学习路径，非常值得新手看齐、学习。By [@游薪渝](http://weibo.com/u/5639257977)
* [iOS 设计指南](http://www.ui.cn/project.php?id=32167)：非官方文档，不过原文《[The iOS 
Design Guidelines](http://iosdesign.ivomynttinen.com/)》遵循并基于《iOS Human Interface Guidelines》进行解读介绍。非常值得收藏。原作者 Ivo Mynttinen，是一位来自德国的年轻 UI 设计师。其个人博客网站也值得同学们收录：[ivomynttinen.com](http://ivomynttinen.com)。译者：[@shengbanx](http://weibo.com/banxing1)
* [Facebook React Native 中文教程](http://wiki.jikexueyuan.com/project/react-native/)：“Facebook 在 [React.js Conf 2015 大会](http://conf.reactjs.com/)上推出了基于 JavaScript 的开源框架 [React Native](http://facebook.github.io/react-native/)，本中文教程翻译自 [React Native 官方文档](http://facebook.github.io/react-native/docs/getting-started.html)”。译者：[@极客学院_jikexueyuan](http://weibo.com/jikexueyuan)
* [React Native 的官方最佳实践翻译](http://f8-app.liaohuqiu.net/)：应该是最好的 React Native 学习资料了. Facebook 2016 F8 App 的教程，从服务器端到 App，包括 Redux，Relay，GraphQL。教程涵盖：如何进行 app 技术选型，如何做跨平台设计，如何做 React Native 的测试。译者：[@廖祜秋liaohuqiu_秋百万](http://weibo.com/liaohuqiu?refer_flag=1005055013_&is_hot=1)
* [Google 地图 SDK 入门教程](http://t.cn/RATvsic)：“在本文中我们将要学习的：①如何在地图上显示用户当前位置②如何定位自定义地址③如何绘制路径④如何在路径中添加中间点（路径点）等”。非常完整、实用的 Google 地图基础教程。完整示例：[google-maps-api-demo](https://github.com/appcoda/google-maps-api-demo)，来源：[AppCoda](http://www.appcoda.com/google-maps-api-tutorial)，译者：[@CocoaChina](http://weibo.com/cocoachina)和[百度智客联盟](http://maker.baidu.com/)共同翻译。
* 在 iOS 8 SDK 中使用 Touch ID API － [Part I](http://www.cocoachina.com/ios/20141114/10222.html)， [Part II](http://www.cocoachina.com/ios/20141114/10223.html)：译文详述了如何在一款笔记编辑应用程序中集成 iOS 8 SDK 中 Touch ID API。来源：[AppCoda](http://www.appcoda.com/touch-id-api-ios8/)，译者：[@CocoaChina](http://weibo.com/cocoachina) 翻译组
* Auto Layout 使用心得（[1. 初体验](http://lvwenhan.com/ios/430.html)；[2. 实现三等分](http://lvwenhan.com/ios/431.html)；[3. 自定义 cell 并使用 Auto Layout](http://lvwenhan.com/ios/441.html)；4. [22 行代码实现拖动回弹](http://lvwenhan.com/ios/442.html)；[5. 根据文字、图片自动计算 UITableViewCell 高度](http://lvwenhan.com/ios/449.html)；[6. 制造炫酷的下拉刷新动画](http://lvwenhan.com/ios/450.html)）：细致入微介绍自动布局及快速入门的中文教程。作者：[@吕文翰_JohnLui](http://weibo.com/balishengmuyuan)。
* 自己动手写一个 iOS 网络请求库：[1. NSURLSession 初探](http://lvwenhan.com/ios/454.html)；[2. 封装接口](http://lvwenhan.com/ios/455.html)；[3. 降低耦合](http://lvwenhan.com/ios/456.html)。项目地址：[johnlui/Pitaya](https://github.com/johnlui/Pitaya)。作者：[@吕文翰_JohnLui ](http://weibo.com/balishengmuyuan)
* [PaintCode 教程](http://www.jianshu.com/p/5e75408812df)："PaintCode是个非常棒又小而美的mac程序，主要用途是可以将你的矢量图轻松地转换成CoreGraphics代码，可以很轻松的把代码放在你的iOS app里"。作者：[@叶孤城___](http://weibo.com/u/1438670852)，相关示例项目：[使用 PaintCode 制作一个星星评分视图](http://www.jianshu.com/p/e2efd7132bc1) By [@crane乖乖](http://weibo.com/u/1925302084)
* Ray Wenderlich － WatchKit 开始教程：[1. 入门](http://www.cocoachina.com/swift/20150518/11860.html)；[2. 表格和网络请求](http://www.cocoachina.com/swift/20150520/11861.html)；[3. WatchKit 开始教程 － Table、Glance 和 Handoff](http://www.cocoachina.com/swift/20150522/11862.html)。原文：[Part 1: Getting Started](http://www.raywenderlich.com/89562/watchkit-tutorial-with-swift-getting-started)
* Core Graphics 教程：1. [起步](https://github.com/bboyfeiyu/iOS-tech-frontier/blob/master/issue-5/Swift-Core-Graphics%E6%95%99%E7%A8%8B%E7%AC%AC%E4%B8%80%E9%83%A8%E5%88%86.md)；2. [Gradients 与 Context](https://github.com/bboyfeiyu/iOS-tech-frontier/blob/master/issue-5/Swift-Core-Graphics%E6%95%99%E7%A8%8B%E7%AC%AC%E4%BA%8C%E9%83%A8%E5%88%86-Gradients%E4%B8%8EContext.md)；3. [Patterns 和 Playgrounds](http://t.cn/R257CaO)。原文来源：[Ray Wenderlich](http://www.raywenderlich.com/90690/modern-core-graphics-with-swift-part-1)，译文来源：[@开发技术前线](http://weibo.com/u/5589212242)
* [iOS8 使用 iCloud](http://www.devtf.cn/?p=574)：“对于开发者来说，如何用适当的方式来存储应用程序数据是一个比较重要的问题。 毫无疑问，任何应用都或多或少需要存储一些数据。对于一般的应用程序来说，被保存的数据各不相同，大部分时间都被存储在本地以便再次在相同的设备运行该应用程序。尽管这不是是唯一的选择”。原文来源：[AppCoda](http://www.appcoda.com/cloudkit-introduction-tutorial/)，译者：[@HarriesChen](http://weibo.com/harrieschen)
* [Grand Central Dispatch 基础教程：Part 1/2](http://www.jianshu.com/p/50c060bab0ff)，[Part 2/2](http://www.jianshu.com/p/6185d3753dd8)：“尽管 Grand Central Dispatch（以下简称为 GCD）已推出一段时间了，但并不是所有人都明白其原理；当然这是可以理解的，毕竟程序的并发机制很繁琐，而且基于 C 的 GCD 的 API 对于 Swift 的新世界并不是特别友好”。来源：[Ray Wenderlich](http://www.raywenderlich.com/79149/grand-central-dispatch-tutorial-swift-part-1)，译者：[@Ethan_Joe](http://weibo.com/u/2898857711)
* [GCD 使用指南](http://swift.gg/2016/05/05/the-gcd-handbook/)（译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)）

	深入浅出 GCD，看完就能直接实践，GCD 没你想得那么难。
* [用 HealthKit 来开发一个健身 App](http://swift.gg/2016/05/13/healthkit-introduction/)（译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)）

	学习做一款简单又不失人性化的健身应用。
* [Tesseract OCR（光学字符识别）教程](http://www.cocoachina.com/ios/20150708/12463.html)：“你之前肯定已经见过，OCR技术被应用于在平板电脑上将扫描文件处理成手写字迹，还被应用于谷歌最近添加到他们的Translate app上的"Word Len"功能。现在你将学习在自己的iPhone app上使用OCR，非常酷，不是吗？”。原文：[Tesseract OCR Tutorial](http://www.raywenderlich.com/93276/implementing-tesseract-ocr-ios)，作者：[Lyndsey Scott](http://www.raywenderlich.com/u/Lyndsey)，译者：[@CocoaChina](http://weibo.com/cocoachina) 翻译组 [Mr_cyz](http://blog.csdn.net/u013604612)
* [30 分钟开发一个简单的 watchOS 2 app](http://onevcat.com/2015/08/watchos2/)：[OneV's Den](http://weibo.com/onevcat) 的新文章 WWDC15 Session 笔记。
* [SwiftEducation](https://github.com/SwiftEducation)：“这是建立在 GitHub 上的一个 Swift 学习资料汇集，包括了有关幻灯和多个练手的应用程序源码。By @极客头条”。的确有不少基础实用的好[教程](https://github.com/SwiftEducation/presentations)。这对于基础学起的同学有福了。
* [iOS9-day-by-day](https://github.com/shinobicontrols/iOS9-day-by-day)： 继 [iOS8-day-by-day](https://github.com/shinobicontrols/iOS8-day-by-day) 后， iOS9-day-by-day 也来了。如此专业的实战训练项目，不要错过。[中译版](http://www.jianshu.com/notebooks/1351342/latest) By [@nathan1](http://weibo.com/elepone)
* [如何在 Swift 中使用字典树](http://swift.gg/2015/09/06/a-trie-in-swift/)：“Swift 中有许多“不明觉厉”的数据结构，今天我们就来看其中最神秘的一个”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@小铁匠Linus](http://weibo.com/linusling)
* [Swift 运算符重载简介](http://swift.gg/2016/04/19/operator-overloading-swift/)：运算符重载是一个非常强力的技能，用好了可以极大优化代码。不过运算符重载使用时也有很多注意事项，用不好会让代码更难维护。到底如何做运算符重载？来看看今天这篇 AppCoda 的教程吧。译者：[@SwiftGG翻译组](http://weibo.com/swiftguide?refer_flag=1005055013_&is_all=1)
* [【Swift 脑洞系列】轻松无痛实现异步操作串行](http://www.jianshu.com/p/168f92164f06)：主要尝试使用 Swift 本身的函数式特性实现了串行执行多个异步操作，同时也探索了函数作为一等公民 这个 feature 和reduce 组合起来使用可以有多爽 ~~~。作者：[aaaron7](http://www.jianshu.com/users/9efd08855d3a/latest_articles)
* [闭包捕捉(closure capture)深入](http://shellhue.github.io/2016/04/22/closureCapture/)：闭包捕捉不算是 Swift 坑中常客，但如果概念不清晰，使用闭包也难以挥洒自如，该文章详细介绍闭包相关知识。作者：[@黄泽宇ShellHue](http://weibo.com/u/5707174464?refer_flag=1005055013_&is_hot=1)
* 模式匹配系列文章：模式匹配的一个新系列，SwiftGG 会同步更新，这一次彻底掌握模式匹配！第一弹：[模式匹配第一弹: switch, enums & where 子句](http://swift.gg/2016/04/26/pattern-matching-1/)；第二弹：[模式匹配第二弹：元组，range 和类型](http://swift.gg/2016/04/27/pattern-matching-2/)；[模式匹配第三弹: 自定义的模式匹配和语法糖](http://swift.gg/2016/04/28/pattern-matching-3/)。译者：[@SwiftGG翻译组](http://weibo.com/swiftguide?refer_flag=1005055013_&is_all=1)
* [QR Code 生成器应用](http://www.appcoda.com.tw/qr-code-generator-tutorial/)：“从iOS 7开始，要读取QR码的话，开发者们可以使用AVFoundation框架。至于要产生QR码，开发者们只需要使用核心图片框架（更精确地说，是使用核心图像滤波器）即可”。来源：[AppCoda](http://www.appcoda.com/qr-code-generator-tutorial/)
* [为 Apple TV 开发 tvOS 应用](http://swift.gg/2015/09/14/developing-tvos-apps-for-apple-tv-with-swift/)：虽然该主题文章在天朝不太接地气。不过，把玩、学习用途还是杠杠的。来源：[Jameson Quave](http://jamesonquave.com/blog/developing-tvos-apps-for-apple-tv-with-swift/)，译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[ray16897188](http://www.jianshu.com/users/97c49dfd1f9f/latest_articles)
* [实现与智能机器人聊天的应用教程](http://www.jianshu.com/p/1f93e0fec8a5)：比较接地气的初学者应用开发教程（共连载了四篇）。作者：[@TimeRanger](http://weibo.com/u/2363379653)
* [CALayer Animation 实践－Loading Indicator](http://www.devtalking.com/articles/calayer-animation-loading-lndicator/)，[Replicator Animation](http://www.devtalking.com/articles/calayer-animation-replicator-animation/)：“本文作者以实战示例为引，对CALayer动画进行了初步的介绍，详解CALayer是如何让动画灵动起来。By [@CSDN移动](http://weibo.com/csdnmobile)”。作者：[@DevTalking](http://weibo.com/jacefu)
* [iOS：选择 Realm 而不是 CoreData](http://swift.gg/2015/12/08/ios-realm-instead-of-coredata/)：再一次更真切地认识 Realm。“Realm 听过很多遍了，到底如何使用？来看看这位作者的 Realm 初体验”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)
* [Swift 的 NSDate 初学者指南](http://swift.gg/2015/12/14/a-beginners-guide-to-nsdate-in-swift/)：“如果问我在做过的所有项目中做的最多的事情，那处理日期绝对是榜上有名...”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)
* [Swift String Cheat Sheet](http://useyourloaf.com/blog/swift-string-cheat-sheet.html)：最新 String 使用速查。“一纸说尽 Swift String By [@CodingTogether](http://weibo.com/u/2510885182)”。[中译版：Swift 字符串速查表](http://www.cocoachina.com/swift/20151218/14746.html)，译者：[@星夜暮晨](http://weibo.com/moonisky)
* [如何在 Swift 中使用 Alamofire 进行网络编程](http://swift.gg/2015/12/22/alamofire-beginner-guide/)：“AppCoda 的长长长长文一篇，有点啰嗦，不过介绍了一些 JS 知识，可以入个门”。译文来源：[SwiftGG翻译组](http://weibo.com/swiftguide)
* [如何使用 Swift、Foursquare API 及 Realm 构建一款 Coffee Shop 应用](http://swift.gg/2015/12/29/foursquare-realm-swift/)：“AppCoda 的万字长文，非常适合初学者，跟着一步一步做，可以学到很多东西”。 译者：[@saitjr](http://weibo.com/u/1918545437)，[@小铁匠Linus](http://weibo.com/linusling)
* [Build your cells in a way of LEGO](https://medium.com/@victor_wang/build-your-cells-in-a-way-of-lego-fbf6a1133bb1#.ymdvydfc8)：“真响应式CollectionView的实现构思，用组合乐高的方式做布局，个人感觉更黑科技些，而且确实花了不少心血”。作者：[@ShengjiaWANG](http://weibo.com/u/1739447693)
* [用 TVML 开发 tvOS 应用教程](http://www.devtalking.com/articles/develop-tvos-app-with-tvml/)：“在这篇教程中，你们的目标是开发以个能播放 RWDevCon 讨论视频的 tvOS 应用...”。无论采用传统原生的 tvOS 定制应用还是 TVML 应用开发方式，在 tvOS 中都是苹果推荐的。译者：[@DevTalking](http://weibo.com/jacefu)，来源：[Ray Wenderlich](http://www.raywenderlich.com/114886/beginning-tvos-development-with-tvml-tutorial)
* [如何正确地写好一个界面](http://oncenote.com/2015/12/08/How-to-build-UI/)：一篇很好的 UI 基础知识概述及教程。P.S. 微软在分层架构（解耦）不如苹果及 Java 阵营清晰明确，从分层解耦角度，对于 MVC 的正确理解，其实就是文中苹果官方给的MVC的设计模式图。作者：[@南峰子_老驴](http://weibo.com/touristdiary)
* [轮转式卡片效果 － 个性化UICollectionView Layout](http://www.jianshu.com/p/45f39b70263d)：“这篇文是教怎么利用Collection view layout 做出自己喜欢的collection view ，翻译 [Ray Wenderlich](http://www.raywenderlich.com/107687/uicollectionview-custom-layout-tutorial-spinning-wheel) 的文，发现原文在anchor point计算那里有个小bug，所以就改了那里的计算”。译者：[@莫威權在B612等着那阵温柔的风](http://weibo.com/u/1061021332)
* [ReactiveCocoa 4 官方文档翻译](http://www.jianshu.com/p/fccba7be1ca1)：“因为决定不再支持iOS7，全面使用Swift，RAC也要升级，就把RAC4的文档都读了一遍，翻译出来，希望能给后面要学习的人一些帮助。翻译的不是很好请见谅”。译者：[@没故事的卓同学](http://weibo.com/u/1926303682)
* [Swift 协议及应许之地](https://realm.io/cn/news/michele-titolo-swift-protocols-promised-land/)：“对于诸如泛型以及第一成员协议之类的语言特性来说，Swift 的设计使得它们提升为了在应用开发过程中关键的架构组件。然而Swift 的类型系统将会禁止使用某些简单的模式。本次演讲将会重点讲述这些挑战，讨论其根本原因，并评估解决方法”。来源：[RealmChina](http://weibo.com/realmchina)，作者：Michele Titolo
* [基于DLNA实现iOS，Android投屏](https://eliyar.biz/code/iOS/DLNA_with_iOS_Android/)：专业、系统化的 DLNA 介绍及实现技术分享。作者：[@艾力亚尔](http://weibo.com/536445669)
* [新手指南：使用 Social Framework 以及 UIActivityViewController](http://swift.gg/2016/02/04/social-framework-introduction/)：“Appcoda 的长文来啦！以啰嗦著称的 Appcoda 这次介绍的是如何实现“分享到社交网络”功能”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@wangjianfeng](http://weibo.com/walkingway)
* [如何使用 iOS9 中的 Core Spotlight 框架](https://segmentfault.com/a/1190000004502546)：“Core Spotlight框架是被称为Search APIs这个大集合API中的的一部分。该框架为程序员提供了一个机会来增加他们应用程序可发现性、可见性以及访问的便捷性，并且作为新特性该框架无法在之前版本的iOS中使用的。..”。译者：[BigNerdCoding](http://weibo.com/1314ddml)，原文：[How To Use Core Spotlight Framework in iOS 9](http://www.appcoda.com/core-spotlight-framework/)
* [一步步创建自己的 iOS 框架](http://gold.xitu.io/entry/56a5727d128fe10051612147)：“如果你曾经试图去创建一个自己的iOS框架的话，你应该知道这件事并不是那些畏惧困难的人能够成功完成的，这篇文章将从开始到最终完成一步步的进行讲解，以便你掌握后可以更好的创建自己的框架”。建议交叉阅读 [@onevcat](http://weibo.com/onevcat) 的《[如何打造一个让人愉快的框架](https://github.com/atConf/atswift-2016-resources)》。原文：[Creating your first iOS Framework](https://robots.thoughtbot.com/creating-your-first-ios-framework)
* [一步步教你实现类似于格瓦拉启动页中的放大转场动画](http://www.jianshu.com/p/8c29fce5a994)：“用过格瓦拉电影，或者其他app可能都知道，一种点击按钮用放大效果实现转场的动画现在很流行，效果大致如下...”。作者：[@HenryCheng](http://weibo.com/L0veway)
* [给 iOS 开发者的 Sketch 入门教程](http://ios.jobbole.com/83865/)：“作为一名iOS开发者，我经历过几个没有设计师的项目，结果就是，痛苦的一逼。做这种类型的项目，设计是非常重要的，特别是迭代设计。但是怎样才能在没有设计师的前提下设计原型，那就必须用到Sketch这货”。译者：[@Andy矢倉](http://weibo.com/ganmaojijie)，来源：[Ray Wenderlich](https://www.raywenderlich.com/117609/sketch-indie-developers)
* [中国首届 Swift 开发者大会－嘉宾现场演讲视频](http://www.imooc.com/learn/600)：“众多资深的 iOS 研发攻城狮，与你分享 Swift 的最新动向。没有机会到场的朋友们，快来先睹为快吧！By [@慕课网](http://weibo.com/mukewang)”
* [iOS9-by-Tutorials-学习笔记九：3D Touch 入门教程](http://mengxiangyue.com/2016/02/23/iOS9-by-Tutorials-学习笔记九：3D-Touch/) By [@孟祥月_iOS](http://weibo.com/u/1750643861)
* [iOS-Note](https://github.com/seedante/iOS-Note)：这里有 CoreData, Photos, 转场动画等实用、详细的笔记。作者：[@seedante](http://weibo.com/u/1815689155)
* 《Threading Programming Guide》笔记（作者：[@DevTalking](http://weibo.com/jacefu)，来源：[@CSDN移动](http://weibo.com/csdnmobile)）
	* [1. 初识线程](http://geek.csdn.net/news/detail/54092)：“说到OS X和iOS中的线程技术，就不得不说GNU Mach。Apple操作系统中的线程技术是基于Mach线程技术实现的，所以本身就带有线程基本的特性，比如PEM。”
	* [2. 线程配置与Run Loop](http://geek.csdn.net/news/detail/55617)：“本文围绕着线程属性配置以及Run Loop Modes展开，作者@DevTalking 表示：如今关于iOS多线程的文章层出不穷，但若想更好的领会各个实践者的文章，应该先仔细读读官方的相关文档，打好基础，定会有更好的效果。”
	* [3. Run Loop操作配置实践](http://geek.csdn.net/news/detail/56056)：“在对线程技术实践以及Run Loop的相关知识点进行讲解后，作者付宇轩开启了如何具体创建、配置和操作Run Loop的深度实践分享”。
	* [4. iOS开发里的线程安全机制](http://geek.csdn.net/news/detail/56726)：“主要分享了包括原子操作、锁机制、Conditions等的线程安全机制，以及设计时所需要注意的事项，比如避免滥用、防止死锁和活锁的发生、正确使用volatile关键字等。”。
*《Concurrency Programming Guide》笔记（作者：[@DevTalking](http://weibo.com/jacefu)，来源：[@CSDN移动](http://weibo.com/csdnmobile)）
	* [1. iOS 开发中设计并发任务技术与注意事项](http://geek.csdn.net/news/detail/60236)：“并发执行任务的解决方案从最初的在程序中创建多个线程来实现，却极大地降低了应用程序的性能...”
	* [2. iOS 并发编程中 Operation 与 Dispatch Queues 实践](http://geek.csdn.net/news/detail/63001)：“本文为读《Concurrency Programming Guide》笔记第二篇，在分享了OS X和iOS应用开发中实现任务异步执行的技术以及应注意的事项之后，作者对 Operation 对象的设置执行，以及 Dispatch Queues 的创建管理进行了实践总结。”
	* [3：iOS 并发编程指南：Dispatch Queue 任务执行与 Dispatch Source](http://geek.csdn.net/news/detail/69122)
* 视频教程
	* [1. 基础篇－使用 Swift 开发 iOS8 应用实战](http://www.imooc.com/view/173)，[2. 进阶篇－Swift Weather APP](http://www.imooc.com/view/149)：实战学习是最有效的编程学习方法。该系列视频教程通过不同的案例，由浅入深地介绍 iOS 应用开发方法。来源：[@慕课网](http://weibo.com/mukewang)，讲师：[@林永坚Jake](http://weibo.com/yongjianlin)
	*  WWDC 视频：1. Swift 入门（[A001.01](http://v.youku.com/v_show/id_XNzI1MTQ5NzYw.html), [A001.02](http://v.youku.com/v_show/id_XNzI1MTU2OTU2.html), [A001.03](http://v.youku.com/v_show/id_XNzI4MDE5ODYw.html), [A001.04](http://v.youku.com/v_show/id_XNzMxODgxNDM2.html)）；2. Swift 进阶（[A002.01](http://v.youku.com/v_show/id_XNzM4NTAwNzk2.html), [A002.02](http://v.youku.com/v_show/id_XNzQ1NDQzNzYw.html), [A002.03](http://v.youku.com/v_show/id_XNzUyNzA2NDYw.html), [A002.04](http://v.youku.com/v_show/id_XNzU5MjA5Mzgw.html?f=22519841), [A002.05](http://v.youku.com/v_show/id_XNzU5MjE5MjI4.html?f=22519841)）；3. Swift 版本升级补录补丁（[A001.Patch](http://v.youku.com/v_show/id_XNzg1MTM2NDEy.html?f=22361976)，[A002.Patch](http://v.youku.com/v_show/id_XNzg1MTQ2MDY0.html?f=22519841)）。翻译：[@赵哲A](http://weibo.com/zhaozhecleric)
	* [SwiftCon 大会视频放出来了](http://t.cn/RqdeNW5)（来源：[@唐巧_boy](http://weibo.com/u/1708947107)）
* [面向协议的 MVVM 架构介绍](https://realm.io/cn/news/doios-natasha-murashev-protocol-oriented-mvvm/)：在 Swift 中用值类型来代替引用类型，比以前在 Obj-C 中要容易许多，这可以让您的代码更简洁。然而当需要在多个类型当中共享代码时，许多人往往会回避使用值类型而转为使用继承实现。通过 Natasha 的介绍，您可以学习到如何使用协议来实现这个功能。作者：Natasha，来源：[@RealmChina](http://weibo.com/realmchina?refer_flag=1005055013_&is_hot=1)
* [Swift Runtime分析：还像OC Runtime一样吗？](http://mp.weixin.qq.com/s?__biz=MzA3ODg4MDk0Ng==&mid=403153173&idx=1&sn=c631f95b28a0eb4b842a9494e43a30e5#rd)：Swift已经开源，目前最新版本为2.2。我们知道 Objective-C 是具有动态性的，能够通过 runtime API 调用和替换任意方法，那Swift也具有这些动态性吗？作者：[@尹峥伟](http://weibo.com/yzwaizxh?refer_flag=1001030102_&is_all=1)
* [Swift 2 throws 全解析](https://onevcat.com/2016/03/swift-throws/)：Swift 2 throws 全解析 - 从原理到实践。By [onecat](https://onevcat.com/#blog)
* 使用React Native开发F8 App实战教程（一）](http://mp.weixin.qq.com/s?__biz=MzA3ODg4MDk0Ng==&mid=403628431&idx=1&sn=8384dc0956e12dbbbce3982bb2a85cee#rd)：F8 开发者大会上，Facebook 宣布与微软和三星合作，为 React Native 在 Windows UWP 平台和 Tizen 系统提供支持，并且还放出了RN的新的系列教程，这是第一篇。作者：Facebook，译者：[@移动开发前线](http://weibo.com/bornmobile?refer_flag=1005055013_&is_all=1)
* [iOS并发（concurrency）概念浅析](http://shellhue.github.io/2016/03/29/concurrency/)：解析并发涉及串行、并发、并行、同步、异步、多线程、GCD、NSOperation 和 NSOperationQueue 等诸多容易混淆的概念。By [@黄泽宇ShellHue](http://weibo.com/u/5707174464?refer_flag=1005055013_&is_hot=1)

 
### 技巧和方案
* [盘点开发者最喜爱的 Swift 技巧](http://www.csdn.net/article/2014-12-25/2823312-favorite-swift-tips-and-tricks)：文章首推新起之秀 natashatherobot.com 博主 Natasha Murashev 独门 Swift 秘籍，还有 objc.io 博主 Chris Eidhof 着力推荐的独具特色的 Swift 版 Quicksort，还有... 还是请同学们细细品读文章吧。原文：[Favorite Swift Tips & Tricks of 2014](http://realm.io/news/favorite-swift-tips-and-tricks-of-2014/)，来源：Realm，译者：[@唐门教主](http://weibo.com/u/2019731997)
* [用 Swift 的函数式编程解决硬币问题](http://idlelife.org/archives/896)：利用Swift 语言特性及函数式编程风格，使算法实现简单又巧妙。"要破开一美元的方法一共有293种之多。也就是说，如果有人给你一美元换零钱，你可以给他 293 种不同的硬币组合...”。译者：[@pockry](http://weibo.com/pockry)
* [面向轨道编程 - Swift 中的异常处理](http://blog.callmewhy.com/2015/04/20/error-handling-in-swift/)：学习笔记。轨道方案巧妙又富有成效。作者：[@请叫我汪二](http://weibo.com/small1030light)
* [使用状态机的好处](https://github.com/nixzhu/dev-blog/blob/master/2015-04-23-state-machine.md)：“你写过最复杂的控件是什么样？它根据用户的操作，是否会有不同的“状态”？了解一点状态机，就易于理清逻辑，能写出可维护性较好的代码”。P.S. 好文。状态机让代码可读性更高了。同时通过对状态的有效管理，加强了应用的健壮性。作者：[@nixzhu](http://weibo.com/nixzhu)
* Swift 开发经验小技巧：1. [如何正确地定义一个类变量（和类常量）](http://imtx.me/archives/1916.html)；2. [用 Optional 来避免异常指针问题](http://imtx.me/archives/1920.html)；3. [如何用 Swift 思维设计网络请求](http://imtx.me/archives/1921.html)；4. [正确地启用 Logging 机制](http://imtx.me/archives/1924.html)。作者：[@图拉鼎](http://weibo.com/tualatrix)
* [Swift 中的 UIKit 重力学（一](http://www.devtalking.com/articles/swift-uikit-dynamics-1/)、[二](http://www.devtalking.com/articles/swift-uikit-dynamics-1/)）：通过 UIKit Dynamics 和 Motion Effects 两大利器实现具有重力效应的界面元素教程。来源：Ray Wenderlich，译者：[@DevTalking](http://weibo.com/jacefu)
* [UIKit Dynamics 和 Swift 教程：抛掷视图 (Tossing Views)](https://github.com/bboyfeiyu/iOS-tech-frontier/blob/master/issue-8/UIKit%20Dynamics%E5%92%8CSwift%E6%95%99%E7%A8%8B%EF%BC%9A%E6%8A%9B%E6%8E%B7Views.md)：“在这篇UIKit Dynamics教程中，你将学会如何通过添加手势，用一种很自然的方式将视图抛掷出屏幕的显示区域”。译文来源：[@开发技术前线](http://weibo.com/u/5589212242)，译者：samw00
* [在 iOS8 创建一个交互性强的本地通知](http://www.cocoachina.com/ios/20150112/10901.html)：“iOS 8里，通知加入了新特性。开发者可以指定用户可触发的具体的动作，而且甚至不用启动应用也可以处理这个通知。本文详细讲解了如何开发一个互动性强的本地通知”。附：[完整示例](https://github.com/iBenjamin/ShoppingAlertFinal)，译者：[@iBenjamin_Go](http://weibo.com/u/2771490773)
* Hamburger Button - [Menu/Close](http://holko.pl/2014/07/15/hamburger-button-animation/), [Menu/Back](http://robb.is/working-on/a-hamburger-button-transition/)：小小的按钮，无论在设计上，还是代码上，都进行了精雕细琢。两位作者对基于动画的开发都非常有经验。作者：Robert Böhnke, Arkadiusz Holko
* [Swift扩展的三个微妙细节](https://github.com/bboyfeiyu/iOS-tech-frontier/blob/master/issue-4/Swift%E6%89%A9%E5%B1%95%E7%9A%84%E4%B8%89%E4%B8%AA%E5%BE%AE%E5%A6%99%E7%BB%86%E8%8A%82.md)：有关于 extension 细节的较完整说明。推荐不甚了解的开发同学阅读，避免稀里糊涂地使用。译文来源：[@开发技术前线](http://weibo.com/u/5589212242)，译者：samw00，原文：[3 Nuances of Swift Extensions](http://www.andrewcbancroft.com/2015/04/22/3-nuances-of-swift-extensions/)
* [radex/DiffyTables](https://github.com/radex/DiffyTables)：提供在 WatchKit 应用中有效使用表格的实例。完整实现思路作者已经撰写长文 [Practical and efficient WatchKit tables with view model diffing](http://radex.io/watch/diffing/)。充分理解该文章作者推荐阅读 [Reducing WatchKit Traffic With View Models](http://techblog.thescore.com/2015/05/20/reducing-watchkit-traffic-with-view-models/)
* [使用 Quick 框架和 Nimble 来测试 ViewControler](http://www.devtf.cn/?p=739)：“不错的文章，有翻译不到位的还请专业人士指出~ ”。来源：[@开发技术前线](http://weibo.com/u/5589212242)，译者：[@MrSimp1e](http://weibo.com/mrsimp1e)
* [Artsy 的测试之旅](https://realm.io/cn/news/tryswift-ash-furrow-artsy-testing-tour/)（来源：[Realm](https://realm.io/cn/news/)）

	认识、实践并掌握不同的测试方法，是学好编程的关键步骤，是软件开发成熟度的重要组成。“不同的测试技术在各种的情况下的优劣各有不同。Ash Furrow 讨论了 Artsy iOS 团队做出这种决策背后的动机，谈论了他们所遇见到的问题，以及他们是如何克服这些困难的。”
* [UICollectionViews 的拖拽效果](http://nshint.io/blog/2015/07/16/uicollectionviews-now-have-easy-reordering/)：“随着 iOS9 的发布，现在实现起来更加简单。By [@Meng_Hang_](http://weibo.com/u/5193870696)”。源代码：[nshintio/uicollectionview-reordering](https://github.com/nshintio/uicollectionview-reordering)
* [如何用代码控制以不同屏幕方向打开新页面](http://lvwenhan.com/ios/458.html)：“前两天遇到了一个 “使用指定的不同屏幕方向打开新页面” 的需求，需求很简单：APP 一直保持竖屏，要求新打开的页面能够指定为横屏或竖屏，并且不允许自动切换，新页面退出后要恢复竖屏”。作者：[吕文翰_JohnLui ](http://weibo.com/balishengmuyuan)
* [关键帧动画实用教程](http://www.devtalking.com/articles/uiview-keyframe-animation/)：“Keyframe 动画可以让我们有效的拆分由若干段动画连接而成的复杂动画，可以较为精准的定义每段动画的起始点及持续时间，并且在代码组织方面也非常清晰”。作者：[@DevTalking](http://weibo.com/jacefu)
* [自己动手构建表单验证功能](http://lvwenhan.com/ios/459.html)：“实现下图中的所有功能，加上注释和空行，一共用了 90 行代码”。作者：[@吕文翰_JohnLui ](http://weibo.com/balishengmuyuan)
* [仿 Taasky 的 3D 翻转菜单动画实现](http://www.brighttj.com/ios/3d-effect-taasky-swift.html)：本文翻译自 Audrey Tam 发布在 raywenderlich 上的文章 [How To Create a Cool 3D Sidebar Animation Like in Taasky](http://www.raywenderlich.com/87268/3d-effect-taasky-swift)。译者：[@saitjr](http://weibo.com/u/1918545437)。顺便，还可以看下[@叶孤城___](http://weibo.com/u/1438670852) 的 [如何创建一个非常酷的 3D 效果菜单](http://www.jianshu.com/p/a7f5cab17395)
* [UIGestureRecognizer 教程：创建自定义手势识别器](http://swift.gg/2015/08/11/uigesturerecognizer-tutorial-creating-custom-recognizers/)：“自定义手势可以使 app 更独特，更有活力，从而取悦用户。... 通过这篇自定义 UIGestureRecognizer 教程你可以掌握所有关于手势识别的知识!”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[mmoaay](http://blog.csdn.net/mmoaay)
* [Swift 函数式编程实践](http://swift.gg/2015/09/04/swift-functional-programming-intro/)：“Swift 为 iOS 编程世界引入了一个新的范式：函数式范式。大多数 iOS 开发者之前都习惯了用 Objective-C 或者其他面向对象编程语言，函数式的编码和思考会变得有点烧脑(brain-addling)”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[shanks](http://codebuild.me/)
* [UIKey​Command](http://nshipster.cn/uikeycommand/)：“虽然我们在创建应用程序时并没有走捷径，这并不意味着用户觉得快捷方式没用。添加键盘命令可以让你的应用程序从屏幕转变到键盘，你的用户一定会喜欢新的选择”。来源：[NSHipster](http://nshipster.com/uikeycommand/)，译者：[April Peng](http://nshipster.cn/translators/april-peng/)
* [如何制作一个炫酷好玩的爆炸效果](http://xxycode.com/ru-he-zhi-zuo-ge-xuan-ku-hao-wan-de-bao-zha-xiao-guo-2/)：无论文章还是代码，真心不错。源代码：[xxycode/UIViewXXYBoom](https://github.com/xxycode/UIViewXXYBoom)，作者：[@我是叉叉歪](http://weibo.com/u/2729196815)
* [如何在 iOS 中实现一个可展开的 Table View](http://swift.gg/2015/12/03/expandable-table-view/)。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)
* [深入理解 Kingfisher上](http://www.jianshu.com/p/326527a4d4f9)、[下](http://www.jianshu.com/p/0a5cdf3f7e9c)：无论代码还是评审都是很好的学习范本。“整理了临摹 Kingfisher 的笔记，主要是源码分析以及相关知识点讲解，一万字长文。涉及到了GCD、硬盘读写、URLSession、Gif数据处理、MD5、Associated Objects等”。
* [Core Data 线程大揭秘](https://realm.io/cn/news/marcus-zarra-core-data-threading/)：“到了今天，Core Data 中的线程实现机制已经与其最初版本大相径庭了。在 Core Data 的悠久历史中，多年来关于如何使用线程的话题已经有了数种不同的解释，那么我们到底应该怎么做呢？Marcus Zarra 为我们展示了实现线程的三种方法，旧有的、复杂的和最佳的”。作者：Marcus Zarra，来源：Realm
* [短文：自定义 UITextView 关键字高亮与点击检测](https://github.com/nixzhu/dev-blog/blob/master/2016-01-14-mention-in-textview.md)：“一种很简单的方法，妙手偶得，可比较容易地处理 Mention、Hashtag 等”。作者：[@ nixzhu](http://weibo.com/nixzhu)
* [Typed, yet Flexible Table View Controller](http://holko.pl/2016/01/05/typed-table-view-controller/)：分别采用二种常用实现方案，引出第三种基于协议和泛型的可配置 UITableViewController 最终定稿该类库（多类型可扩展单元格）无论学习性还是实用性，都堪称典范。作者：[Arkadiusz Holko](https://github.com/fastred)
* [用 Swift 中的单向数据流来替代臃肿的视图控制器](https://realm.io/cn/news/benji-encz-unidirectional-data-flow-swift/)：作者即是 Swift-Flow（近期已与 ReduxKit 合并为 ReSwift）开发者。是一篇相对详细讲解 MVC 框架在应用设计中的片面性，从而引出 Redux 或 Swift-Flow 必要性的讲演稿译文。
* [CoreData VS Realm](http://www.jianshu.com/p/e9532bd1bb65)：不错（尤其性能比较章节）。作者：[@Yu_我就想叫一个简单的昵称](http://weibo.com/iyunsn)
* [Profiling your Swift compilation times](http://irace.me/swift-profiling)：“如果你想减少你的 Swift 项目的「带薪编译」的时间，这篇文章值得一看。By [@图拉鼎](http://weibo.com/tualatrix)”
* [UIKit性能调优实战讲解](http://www.jianshu.com/p/619cf14640f3)：作者同学从细节着手，让你了解个中利害。“结合Instrument分析影响性能的因素，提出UIKit优化方案并解释背后的原理。还附有一步步调优的Demo”。作者：[@Martin_wjl](http://weibo.com/u/5419850564)
* [使用 guard 的正确姿势](http://swift.gg/2016/02/14/swift-guard-radix/)：“guard 是 Swift 2 中我最喜爱的特性之一。虽然完全不使用 guard 也没有什么影响，它只是给我们提供了更微妙的句法表达，但是如果能够正确使用 guard 语句，无疑是一件令人愉快的事”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@EclipsePrayer](http://weibo.com/EclipsePrayer)
* [如何处理 Swift 中的异步错误](http://swift.gg/2016/02/16/async-errors/)：“为什么不能用 throw 处理异步错误？如何正确处理异步错误？什么是 Promise？看完你就全懂了，强烈推荐！”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：ray16897188
* [在 Linux 中使用 Swift 进行 TCP Sockets 编程](http://swift.gg/2016/03/01/tcp-sockets-with-swift-on-linux/)：“在 Linux 中使用 Swift 进行 TCP Sockets 编程 看名字就知道了，Socket 编程。C 语言的 Socket 编程应该是不少人的噩梦吧？现在你可以用现代化的 Swift 来编写了，借这个机会认真学一次 Socket”。 译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[shanks](http://codebuild.me)
* [iOS 下如何自动化打包 App](http://reviewcode.cn/article.html?reviewId=11)：“这个话题之前已经在斗鱼直播上讲了一下。直播视频也在 CodeReview 的网站上，[链接](http://reviewcode.cn/video.html?videoId=2)。 Keynote 在 [GitHub](https://github.com/lzwjava/DouyuKeynote) 上。...”。来源：reviewcode.cn，作者：[@lzwjava](http://weibo.com/zhiweilee)。P.S. 另一个简单版本：《[iOS项目自动打包脚本](https://github.com/hades0918/ipapy)》
* [Perfect 让 Swift 在服务器端跑起来](http://blog.csdn.net/u014388424/article/category/6092861)：“你认识Swift或者是在客户端，因为它是苹果用来开发客户端的新一代语言。在Swift开源后苹果让它不仅在MacOS/iOS上跑，也运行到了Linux ...”。作者：[@kinfey](http://weibo.com/kinfey)
* [Swift 3.0 介绍](http://swift.gg/2016/02/25/introducing-swift-3-0/)：“来自 iAchieved.it 的最新文章，介绍如何在 Linux 系统中安装 Swift 3。没错，你已经可以写 Swift 3 了”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@毫无存在感的Cee](http://weibo.com/acgcee)
* [在 Cocoa 中实现 ICU 文本变换](http://swift.gg/2016/02/23/cocoa-icu-text-transforms/)：“ICU 全称 International Components for Unicode（Unicode 国际化组件，不是重症监护病房），它能干嘛？举个例子，你可以在 Swift 中用一行代码把“上海”转换成“shàng hǎi”。到底怎么做呢，来看看今天的文章吧！”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[aaaron7](http://www.jianshu.com/users/9efd08855d3a/latest_articles)
* [Swift GYB 简易教程](http://swift.gg/2016/03/04/a-short-swift-gyb-tutorial/)：“GYB 是 Swift 内部使用的一个工具，可以通过模板来生成类似的代码。如果你的项目中有大量结构相似的代码，可以提取成模板，用 GYB 来统一维护。GYB 的用法非常简单，看完本文就可以去露一手了~”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：ahfepj
* [发现循环引用的方法](http://swift.gg/2016/03/09/a-trick-to-discover-retain-cycles/)：“本文讲了一种简单有效的检测方法，目前的第三方检测工具也大多采用这种方法，强烈推荐”。译者：[@靛青K](http://weibo.com/DianQK)
* [初探 Swift Sequences 和 Generators](http://swift.gg/2016/03/10/experimenting-with-swift-2-sequencetype-generatortype/)：“如果你还不了解序列和生成器，那一定要看下这篇文章...”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[CoderAFI](http://coderafi.github.io)
* [使用 Swift 的面向协议编程定义 Segue 标识](http://swift.gg/2016/02/01/protocol-oriented-segue-identifiers-swift/)：“这次，我准备写的是：处理多个 segue 标识的优雅解决方案。你猜对了！就是使用协议...”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@请叫我_小锅_](http://weibo.com/swiftyper)
* [在iOS开发中如何优雅地进行图片缩放？](http://www.jianshu.com/p/af2d471f7b9c)：图片缩放开发技巧及经验分享。作者：[@Martin_wjl](http://weibo.com/u/5419850564)
* [ENJOY 的 Apple Pay 应用内支付接入实践](http://geek.csdn.net/news/detail/60849)：Apple Pay 集成解决方案及开发最佳实践。作者：[webfrogs](http://weibo.com/u/1713195262)
* [Hirundo：在 OS X 上轻松获取 Swift 邮件列表](http://swift.gg/2016/03/14/hirundo-mac-app-swift-mailing-lists/)：“Swift 邮件列表由 Apple 官方维护，包括 Chris Lattner 在内的各位大牛都在这里和开发者交流讨论。本文作者开发了一个 Mac 客户端，如果你想了解最新进展并且不喜欢查看邮箱的话，这是个不错的选择。”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[CoderAFI](http://coderafi.github.io)
* [如何使用Instruments诊断App（Swift版）：起步](http://www.cocoachina.com/ios/20150623/12237.html)：这篇文章不错《Instruments Tutorial with Swift: Getting Started》作者很有心地给出了一个卡顿（主线程阻塞）的 Demo，还教了下如何用 Instruments 检测并修复，业界良心！作者：[James Frost](https://www.raywenderlich.com/u/frosty)，译者：[Mr_cyz](http://blog.csdn.net/u013604612)
* [React-Native痛点解析之开发环境搭建及扩展](http://mp.weixin.qq.com/s?__biz=MzA3ODg4MDk0Ng==&mid=403225766&idx=1&sn=acd8e3ab7f234b97827c3e210c2d8673#rd)：解析 RN 开发中的痛点。本文分享的是在环境搭建和扩展中会遇到的问题与解决方案。作者：携程高级研发经理魏晓军
* [拥抱未来：更优雅的 Swift 写法](https://realm.io/cn/news/doios-daniel-steinberg-ready-for-the-future/)：在这个 Daniel Steinberg 的演讲中，我们在 Obj-C 以及其他之前出现的语言的基础之上，学习如何才能够写出让别人乐意去阅读的代码。作者：Daniel Steinberg，来源：[@RealmChina](http://weibo.com/realmchina?refer_flag=1005055013_&is_hot=1)
* [iOS 原生库对 https 的处理](http://swiftcafe.io/2016/04/16/swift-https/?hmsr=toutiao.io&utm_medium=toutiao.io&utm_source=toutiao.io)：https 作为一个相对安全的协议，正在被越来越多的站点和 app 所应用，这次咱们就实际的来看一下，如何使用 swift 在 iOS 环境下处理 https 请求。作者：[@SwiftCafe](http://weibo.com/u/5721760998?from=feed&loc=at&nick=SwiftCafe&is_hot=1)
[使用 Xcode 的 Target 区分开发和生产环境](http://swift.gg/2016/04/22/using-xcode-targets/)：很实用的开发部署最佳实践。P.S. 当项目规模较大时，除了开发和生产环境，中间还要有 SIT（系统集成测试）和 UAT（用户验收测试）环境。译者：[@SwiftGG翻译组](http://weibo.com/swiftguide?refer_flag=1005055013_&is_all=1)
* [离屏渲染优化](http://mp.weixin.qq.com/s?__biz=MjM5NTIyNTUyMQ==&mid=2709544818&idx=1&sn=62d0d2e9a363d250beb2d6887dca54b3#rd)：本文介绍了关于 iOS 中离屏渲染的相关知识，建议认真阅读以下。作者：[seedante](https://github.com/seedante)
* [文化碰撞：函数式、面向协议、面向对象编程的最佳实践 ](https://realm.io/cn/news/tryswift-daniel-steinberg-blending-cultures/)：编写一个 Swift 应用不仅仅是将某个 Objective-C 应用翻译为 Swift，我们还需要采纳 Swift 语言的特点和思想。我们从一个翻译为 Swift 的标准 MVC 表视图应用开始，逐步让这个应用符合 Swift 的语言习惯。作者：[@dimsumthinking](https://twitter.com/dimsumthinking)
* [使用 Quick Look 框架对文件进行预览](https://segmentfault.com/a/1190000005010273)：实用的 Quick Look Framework（iOS SDK）使用教程。译者：BigNerdCoding
* [Swift 算法实战之路（一）](http://www.jianshu.com/p/ee16bcf50a59)（作者：[@故胤道长](http://weibo.com/soapyigu)）
	
	活学活用，编程小技。
* [Swift 没有了 BlocksKit，我忍不住自己写了个 ClosuresKit](http://www.jianshu.com/p/c32a8f69c7ab)（作者：[@没故事的卓同学](http://weibo.com/u/1926303682)）

### 经验和评论
* [我在开发第一个 Swift 应用过程中学到的四件事](http://idlelife.org/archives/742)：作者为了讲授 iOS 8 App Extensions 视频教程而实际使用 Swift 开发了一款应用的经验及体会。原文：[Four Things I Learned Making My First Swift App](http://www.raywenderlich.com/86278/four-things-learned-making-first-swift-app)，来源：Ray Wenderlich，作者：Greg Heo（Ray 公司 Razeware 员工），译者：[@pockry](http://weibo.com/pockry)
* [国外iOS大牛的分享经验和对Swift的看法](http://mp.weixin.qq.com/s?__biz=MzA3ODg4MDk0Ng==&mid=402947148&idx=1&sn=cd80fce3738d9d4b0037f38070b89c0f#rd)：“今年1月，我参加了由梁杰组织的Swift大会，这是国内首次由社区组织的移动技术大会，来自国内外的iOS开发大牛为大家奉献了精彩演讲。大会期间我采访了国外讲师Chris和Greg，他们分享了平时是如何工作，如何做分享，以及对Swift的看法。”。来源：[@移动开发前线](http://weibo.com/bornmobile)
* [别让双手闲下来，来做一些练手项目吧](http://swift.gg/2016/03/08/how-to-start-an-ios-app-portfolio/)：很接地气的初级学习实践。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@saitjr](http://weibo.com/u/1918545437)
* [如果你还在用子类（Subclassing），那就不对了](http://www.jianshu.com/p/80bd6633ec7c)：“你可能对我的标题感到诧异。我并不是说子类没有价值，尤其在使用单一继承（single inheritance）的情况下，类和子类当然是强有力的工具。然而我想说的是，iOS日常开发的问题是对类和继承的过度使用...”。作者：[ray16897188](http://www.jianshu.com/users/97c49dfd1f9f/latest_articles)
* [一次 Objective-C 到 Swift 的改写之旅](https://github.com/nixzhu/dev-blog/blob/master/2015-05-27-wormhole.md)：“既然 Swift 是未来，自然要改写。而改写应当是一种再思考、再设计的过程”。作者：[@nixzhu](http://weibo.com/nixzhu)
* [设计师+Xcode：突破产品开发的流程界线](http://www.beforweb.com/node/604)：原文作者做为视觉设计师，讲述了采用 Interface Builder 和 Storyboard 与开发小组协同工作的故事。虽然只是一个4人小团队，但清晰的分工协作，使项目有序高效进展。Xcode也让视觉设计师及UX设计师有机会分担部分前端开发工作。原文: [Blurring the lines between design and code](http://ustwo.com/blog/the-billogram-story/)，来源：[@BeForWeb](http://weibo.com/beforweb)，译者: [@C7210](http://weibo.com/c7210) 
* [#objc中国# － Issue 20](http://objccn.io/issue-20/)：“三位传奇开发者的访谈，很有意思。天才少年 Andy Matuschak [《终身学习的一代人》](http://objccn.io/issue-20-1/)  两次创业 Loren Brichter [《让东西变得不那么糟》](http://objccn.io/issue-20-2/) 以及前 FBI 的俄国妹子 Natasha Murashev [《学无止境》](http://objccn.io/issue-20-3/)。简直篇篇精彩。By [@onevcat](http://weibo.com/onevcat)”。Natasha Murashev 的访谈故事对于学习 Swift 的同学比较励志。
* [Objective-C 开发者对 Swift 亮点的点评](http://blog.jobbole.com/71250/)：这篇文章涵盖了 Swift 典型亮点，或许描述还不够全面，不过，对初学者应该已经很受用了。P.S. 提醒：由于本文写于 Swift 刚发布时，因此版本关系可能会有个别点不精准。来源：Ray Wenderlich，译者：[@午后的小甜点](http://weibo.com/u/3178558825)
* [Cocoa 之死](http://nshipster.cn/the-death-of-cocoa/)（Mattt Thompson），[Cocoa 永生](http://nshipster.cn/long-live-cocoa/)（Nate Cook）：
两篇貌似矛盾，其实并非如此，后一篇溢美 Cocoa 辉煌过去及成就，实则告诉大家它更为 Swift 的亮相铺平了道路，使其一出世开发者就有优秀工具库可用。作者也预言未来会有更好的继任者。来源：NSHipster，译者：[@李乐佳](http://weibo.com/leelejia)
* [Swift 2.0 初探](http://www.devtalking.com/articles/what-is-new-in-swift/)：言简意赅、示例并茂地讲了若干关键新语法功能及用途。作者：[@DevTalking](http://weibo.com/jacefu)
* [Swift 2 有哪些新特性[译]](http://www.jianshu.com/p/2dc639b2675a)：“在WWDC我们发现Swift团队没有浪费时间在无谓的地方，而是致力于改善 Swift 2”。来源：Ray Wenderlich [What’s New in Swift 2](http://www.raywenderlich.com/108522/whats-new-in-swift-2)，[@Sam_Lau_Dev](http://weibo.com/liuyaozhu)
* [What’s New in Swift 2.0 简要介绍](http://chengway.in/post/ji-zhu/what-s-new-in-swift-2.0)：“看了很多篇介绍 Swift 2.0 的，感觉 Appcoda 这篇介绍的比较清楚，顺手学习并翻译了一下，英文原文 [
What’s New in Swift 2.0: A Brief Introduction](http://www.appcoda.com/swift-2-introduction/)”。译者：[@walkingway](http://weibo.com/walkingway)
* [iOS 9 Adaptation Tips](https://github.com/ChenYilong/iOS9AdaptationTips)：iOS 9 适配系列教程。明天 iOS9 正式版就来了，同学的应用准备好了吗？ 作者：[@iOS程序犭袁](http://weibo.com/luohanchenyilong)
* [watchOS 2 之 WatchKit 初探](http://www.devtf.cn/?p=758)：“我在过去的几天里看完了新的Apple Watch文档，所以你可以在这篇文章里能非常快的浏览在新的 watchOS 2 中有什么新玩意~”。原文：[WatchKit for watchOS 2: Initial Impressions](http://www.raywenderlich.com/108415/watchkit-for-watchos-2)，译文来源：[@开发技术前线](http://weibo.com/u/5589212242)，译者：[StormXX](https://github.com/StormXX)
* [WatchOS 2 Tutorial: Animations Using Groups](http://www.kristinathai.com/watchos-2-tutorial-animations-using-groups/)：“这篇博文实践了 watchOS2 里的 UI 动画 By [@WatchKit开发](http://weibo.com/twios)”
* [什么时候不适合使用函数式方法](http://swift.gg/2015/08/28/swift_when_the_functional_approach_is_not_right/)：作者经验告诉我们，在同等性能前提下，当极简代码影响到可读性时，需慎重使用（尤其在协作开发中）。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@天才175 
](http://weibo.com/u/2916092907)
* 表盘开发外文二联弹：[（一）An Introduction to watchOS 2 ClockKit](http://code.tutsplus.com/tutorials/an-introduction-to-clockkit--cms-24247)，[（二）The Not So Comlicated Complications](http://macoscope.com/blog/the-not-so-complicated-complications)。By [@WatchKit开发](http://weibo.com/twios)
* [Swift 2.0 异常处理](http://www.jianshu.com/p/96a7db3fde00)：“WWDC 2015 宣布了新的 Swift 2.0. 这次重大更新给 Swift 提供了新的异常处理方法。这篇文章会主要围绕这个方面进行讨论”。作者：[@溯流言之](http://weibo.com/rcgary)
* [Design for Wearables](http://designforwearables.com/vip/)：很系统化的 Apple Watch 设计课程， 建议开发的同学好好学习一下。
* [WatchKit FAQ](http://www.cocoachina.com/ios/20150323/11396.html)：“解答了一系列在社区、Twitter、邮件以及 Stack Overflow 上问的比较频繁的问题，包括基础问题，进阶问题、动画、调试和单元测试以及货币化的一些问题”。来源：Ray Wenderlich，译者：Yue Wang（[@CocoaChina](http://weibo.com/cocoachina) 翻译组）
* 三篇优秀的 WatchKit 初探：分别来自 [Ray Wenderlich－WatchKit 初探](http://www.devtalking.com/articles/watchkit-initial-impressions/)（译者：@DevTalking），[Mattt Thompson－WatchKit](http://nshipster.cn/watchkit/)（译者：Bob Liu），[王巍－ Apple WatchKit 初探](http://onevcat.com/2014/11/watch-kit/)（作者：@onevcat）。
* WatchKit Storyboard攻略：1. [开发基础与小技巧](http://weibo.com/p/1001603783085996013229)；2. [Glance 示例介绍](http://weibo.com/p/1001603787367470257327)；3. [Notification 视图相关](http://weibo.com/p/1001603792803355322322)。作者：[@WatchKit开发](http://weibo.com/twio)
* [详解Xcode 6的视图调试](http://www.cocoachina.com/ios/20150423/11658.html)：教程非常实用，值得学习。另外，教程选用的开源项目（[jessesquires/JSQMessagesViewController](https://github.com/jessesquires/JSQMessagesViewController)）也很经典。来源：Ray Wenderlich，译者：[@CocoaChina](http://weibo.com/cocoachina) 翻译组
* [Reducing WatchKit Traffic With View Models](http://techblog.thescore.com/2015/05/20/reducing-watchkit-traffic-with-view-models/)：“介绍了如何通过视图模型优化WatchKit 应用的性能表现，英语好的大大可以翻译下。By [@WatchKit开发](http://weibo.com/twios)” 。WatchKit 开发最佳实践。
* [案例学习 - 面向Apple Watch自身特性及局限的产品重设计](http://www.beforweb.com/node/720)：“和前面几次 Watch 设计案例不同，今天这篇比实践更加实践 - 作者做了第一版 Watch App，发现在实际当中问题成堆，于是重新思考并改变架构，在设计规范框架基础上结合硬件限制和自家产品特性，做了大胆突破...”。原文：[Redesigning Overcast’s Apple Watch app](http://www.marco.org/2015/05/08/overcast-apple-watch-redesign)，译者：[@C7210](http://weibo.com/c7210)
* [案例学习 - 为Apple Watch简化现有产品的设计思路](http://www.beforweb.com/node/709)：文章讲述了一款导航应用在 Apple Watch 上的设计及思考过程。P.S. 来自 [@BeForWeb](http://weibo.com/beforweb) 的译文学习及思考性很强，目前读者虽然更倾向于产品经理、用户体验设计师或工程师。感兴趣产品体验的开发者，建议多关注。译者：[@C7210](http://weibo.com/c7210)
* [案例学习 - 关于Watch应用的导航、通知、复杂任务及动效](http://beforweb.com/node/717)： “为Watch设计的过程很有意思，我们必须聚焦在核心体验上，打造最基本最简化的界面及交互，并设计合理的通知机制。对于复杂的功能要考虑通过Handoff完成。此外不要忘记在恰当的地方通过动效来提升交互体验...”。来源：[medium.com](https://medium.com/design-for-wearables/designing-wallaby-for-apple-watch-dd5be371288a)，译者：[@C7210](http://weibo.com/c7210)
* [74 个 Swift 标准库函数](http://letsswift.com/2014/06/74-swift-library-functions/)："Swift 包含了 74 个内置函数，但在 The Swift Programming Langage 一书中只介绍了其中的 7 个，其它的都没有在文档中体现。文中作者没有提及他是如何发现这么多未在文档中体现的内置函数的，估计是反编译的结果"。译者：[@李洁信](http://weibo.com/u/1780854425)
* [单例在Swift中的正确实现方式](http://www.devtf.cn/?p=937)：“在Swift中有好几种不同的方式来实现一个单例。到底哪一个才是正确的方式呢？在这边博客里，我将和你好好聊聊单例的历史和在Swift中单例正确的实现方式”。译者：[Gottabe](https://github.com/Gottabe)，来源：[开发技术前线](http://weibo.com/u/5589212242)
* [详解 Swift 模式匹配](http://swift.gg/2015/10/27/swift-pattern-matching-in-detail/)：学习强大的模式匹配。译者：[mmoaay](http://blog.csdn.net/mmoaay)
* [Swift 的类型体系](http://swift.gg/2015/09/23/swift-type-system/)：概述了一些 Swift 的特点，可以从另一个角度来理解 Swift。译者：[@画渣程序猿mmoaay](http://weibo.com/smmoaay)
* [iOS 项目的持续集成与管理](http://www.devtf.cn/?p=537)：提高生产力的实战经验分享好文章。作者：[@Sam_Lau_13](http://weibo.com/liuyaozhu)
* [聊聊移动端跨平台开发的各种技术](http://fex.baidu.com/blog/2015/05/cross-mobile/)：文章研究很全面、很透彻。赞同林老师建议。实在需要时，iOS/WKWebView 和 Android/WebView 可以做为跨平台衔接技术。“[@林泰前](http://weibo.com/limtc)：目前看到对跨平台开发最完整的文章，对这方面有兴趣的朋友建议一读。不过这是我的建议：好好学习 Swift/iOS 和 Java/Android，没有任何跨平台方案比得上真正原生的方案。”
* [objc.io - #24 音频](http://objccn.io/issue-24/)：经过了前两期（[照片](http://objccn.io/issue-21/)和[视频](http://objccn.io/issue-23/)），本期自然地延伸为音频，这种具有连续性的博客平台，对于开发者，实在是福气。本期首篇文章《[音频处理的狗屋（译文）](http://objccn.io/issue-24-1/)》是精品之作。
* [Swift Documentation（译文）](http://nshipster.cn/swift-documentation/)：“代码的结构和组织关乎了开发童鞋们的节操问题。明确和一致的代码表示了明确和一贯的思想。编译器并没有一个挑剔的口味，但当谈到命名，空格或文档，人类的差异就体现出来了”。来源：NSHipster
* [guard & defer](http://nshipster.com/guard-and-defer/)：Swift 2.0 中 guard 和 defer 语句是极为讨好的新特性，尤其对于那些注重代码细节（甚至有一点代码洁癖）的开发同学。来源：NSHipster
* [NSCache 源码分析](https://github.com/nixzhu/dev-blog/blob/master/2015-12-09-nscache.md)：“因为 NSCache 的代码并不多，所以先从其下手。顺便体会一下 Foundation 的编程风格。之所以用缓存，是为了以空间换时间。但空间总是有限的，这就需要缓存管理策略”。作者：[@nixzhu](http://weibo.com/swiftguide/nixzhu)
* [Apple Watch 应用优化的一些心得技巧总结](http://www.csdn.net/article/2015-06-01/2824816)：“尽管 Watch OS 1.01  已经提升了应用启动的速度，但用户普遍感受还是体验较差，因此我们有必要尽全力优化自己的 Apple Watch 应用。本文作者 [@WatchKit开发](http://weibo.com/twios) 结合自己的体会和其他先驱者的一些心得，对相关技巧做了一些汇总”。来源：[CSDN移动](http://weibo.com/csdnmobile)
* [从减少点击次数，到降低使用负荷](http://www.beforweb.com/node/722)：“从减少点击次数，到降低使用负荷 - 如果你的产品不需要用户背负沉重的认知与操作负荷便能高效的使用核心功能，并且将体验打磨到极致，那么你就拥有了竞争的力量 - 你至少可以拉拢到那些在多数时间只会用到这些特定功能，却被那些复杂的产品搞的疲惫不堪的用户...”。来源：[@BeForWeb](http://weibo.com/beforweb)，译者：[@C7210](http://weibo.com/u/1833937113)
* [iOS 中的 UI 自适应](https://realm.io/cn/news/gotocph-sam-davies-adaptive-ui-ios/)：值得一读、教学性很强的演讲稿（演讲者 Sam Davies 来自 Ray Wenderlich）。“在本次讲演中，Sam Davies 将带我们深入了解自适应布局，通过展示几种形象的例子来讲解自适应布局的理念，同时还会带来使用界面构造器时的一些小技巧”。
* 如何在Swift中调用C库 － [入门篇](http://hearrain.com/2015/12/850)、[进阶篇](http://hearrain.com/2016/01/853)、[完结篇](http://hearrain.com/2016/01/855)：“我一共写了三篇文章，包括了我最近遇到的一些问题和经验之谈”。作者：[@叶枫落](http://weibo.com/yefengluo) 
* Questing for Swift Source Code - [Bool](http://www.jianshu.com/p/217510b270f1)、[整数类型](http://www.jianshu.com/p/ae67b4d37159)、：“这个系列是我学习 Swift 源码的心得和记录，内容主要是 Swift 源代码的相关分析和探究，如果您对 Swift 源代码也很感兴趣的话，欢迎阅读这个系列的文章~”。作者：[@星夜暮晨](http://weibo.com/moonisky)
* [谈谈闭包——以 Swift 为例](http://www.infoq.com/cn/articles/talk-about-closure-taking-swift-as-example)：“本文讨论闭包的相关概念，大部分代码使用Swift编写。Swift对闭包有着良好的支持。这是因为，Swift被设计成一门一定程度上支持函数式编程范式的编程语言。而函数式编程和闭包有着紧密的联系。本文着重讨论的也是函数式编程和闭包之间的关系”。作者：郭麟，来源：InfoQ  
* [设计的权重](http://www.beforweb.com/node/807)：一篇重观点、轻结论，通过案例理性地针对设计权重分析、解读文章。“我们反反复复的设计着所谓的“体验”，将大量时间花费在稿子的某些细节当中以实现设计方案的“完美”，竭尽全力将各种设计产出物的表现力度一再提升 - 我们是在设计产品，还是在设计“设计”本身？”。译者：[@C7210](http://weibo.com/c7210)
* [内存恶鬼 drawRect](http://bihongbo.com/2016/01/03/memoryGhostdrawRect/)：“标题有点吓人，但是对于drawRect的评价倒是一点都不过分。在平日的开发中，随意覆盖drawRect方法，稍有不慎就会让你的程序内存暴增”。附：[续:答疑篇](http://bihongbo.com/2016/01/11/memoryGhostMore/)。作者：[@毕洪博](http://weibo.com/u/5578532822?is_hot=1)
* [当 Swift 中的泛型遇到协议](http://chengway.in/dang-swift-zhong-de-fan-xing-yu-dao-xie-yi/)：好译文。译者同学有心地附上了另一篇参考译文《[协变与逆变](http://swift.gg/2015/12/24/friday-qa-2015-11-20-covariance-and-contravariance/)》对照着阅读。P.S. 扎实地基础才能写出好代码。译者：[@walkingway](http://weibo.com/walkingway)
* [Swift中的7个陷阱与如何避免它们](https://developer.ibm.com/swift/2016/01/27/seven-swift-snares-how-to-avoid-them/)：好文。表述清晰、直接，这个要转起来。来源：IBM
* [为什么 Swift 中的 String API 如此难用？](http://swift.gg/2016/01/25/friday-qa-2015-11-06-why-is-swifts-string-api-so-hard/)：String API 真的很失败吗？作者从字符串表示原理讲起，还原 Swift 的设计思想。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@永远十七岁的Cee妹](http://weibo.com/acgcee)
* [Swift 性能探索和优化分析](https://onevcat.com/2016/02/swift-performance/)：“本文将分析一些使用 Swift 进行 iOS/OS X 开发时性能上的考量和做法，同时，笔者结合自己这一年多来使用 Swift 进行开发的经验，也给出了一些对应办法。”。作者：[@onevcat](http://weibo.com/onevcat)
* [如何利用 Github 进行代码审查](https://realm.io/cn/news/codereview-howto/)：这个 GitHub 社区同学都值得看一看。P.S. 俺认为对于商业化用途的代码，未经严格代码审查的发布行为是不负责任的，因为它是项目进程（早期）不可缺少的一部分。来源：[Realm](https://realm.io/cn/news/codereview-howto/)
* 设计并非艺术([1. 本质区别](http://www.beforweb.com/node/821),[2. 视觉美学与自我角色](http://www.beforweb.com/node/822)) ： “艺术是主观的，设计是客观的：因为艺术是一种自我表达方式，所以创作内容可以完全来自于艺术家本人。而设计是面向使用的，其内容源自于产品目标及其所服务的对象，这些来源都是外在的”。译者：[@C7210](http://weibo.com/c7210)
* [我的开源之旅](http://swift.gg/2016/02/24/the-opensource-experience/)：“CocoaPods 的核心开发者 Olivier 讲述他的开源之旅。为什么大家喜欢开源？如何参与开源？参与开源有什么收获？来看看他的故事”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@请叫我_小锅_](http://weibo.com/swiftyper)
* [iOS 各种调试技巧豪华套餐](http://www.cnblogs.com/daiweilai/p/4421340.html) By [@David戴未来](http://weibo.com/daiweilai)
* [详解 Xcode 6 的视图调试](http://www.cocoachina.com/ios/20150423/11658.html)：教程非常实用，值得学习。另外，教程选用的开源项目（[jessesquires/JSQMessagesViewController](https://github.com/jessesquires/JSQMessagesViewController)）也很经典。来源：Ray Wenderlich，译者：[@CocoaChina](http://weibo.com/cocoachina) 翻译组
* [iOS 开发工具列表](http://www.cocoachina.com/ios/20140417/8187.html) By [@CocoaChina](http://weibo.com/cocoachina)
* [Free iOS 9.3 iPhone UI Kit for Illustrator and Sketch](http://mercury.io/blog/free-ios-9-3-iphone-ui-kit-for-illustrator-and-sketch)：“来自Mercury.io的iOS 9 UIKit，提供Sketch与Ai两种格式。官网有言：“你已经在用Facebook和MengTo大人出品的UI模板套装了？为什么还要再下载一套？答案很简单：我们的更好。” 亲测，市面上最全最细的UIKit，确实蛮霸道的，拿去做交互稿也不坏。By [@C7210](http://weibo.com/c7210)”
* [iOS主流动画开源库深入分析(一)：IBAnimatable](http://www.jianshu.com/p/5faf36e1f700)：分三篇深入介绍三个流行的 swift 开源动画库。作者：[没故事的卓同学](http://www.jianshu.com/users/88a056103c02/latest_articles)
* [浅谈 iOS 中的视图优化](http://www.jianshu.com/p/5c968a240e27?utm_campaign=hugo&utm_medium=reader_share&utm_content=note&utm_source=weibo)：让我们来思考几个问题，你开发过的产品，它还有可以优化的地方吗？能增加它的帧率吗？能减少多余的 CPU 计算吗？是不是存在多余的GPU渲染？业务这点工作量对于越来越强大的设备面前显得微不足道，但作为一个细心的开发者，我觉得很有必要来谈谈iOS中的视图优化。作者：[kuailejim](http://www.jianshu.com/users/40e4dced948f/latest_articles)
[探索 Swift 中的 MVC-N 模式](https://realm.io/cn/news/slug-marcus-zarra-exploring-mvcn-swift/)：Marcus 将会为大家介绍一种设计模式，他曾经在那些需要从互联网进行大量频繁数据请求的 iOS 应用当中使用此设计模式。这个设计采用了著名的 MVC 模式，并且在此基础之上对其进行了扩展，从而允许使用异步网络调用并与用户界面控制器相互隔离。。作者：[@mzarra 
](https://twitter.com/mzarra)
* [“错误”的使用 Swift 中的 Extension](http://swift.gg/2016/05/16/using-swift-extensions/)（译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)）

	这篇文章通过场景及解读教你如何用对 extension。

### 网站和博客
* [raywenderlich.com](http://www.raywenderlich.com/)：由 Ray Wenderlich 创建，专注于开发高质量编程指南（近期优质Swift文章及视频教程不断），著名的 iOS/OS X 博客及开发教程网站，非常适合新手学习。
* [NShipster](http://nshipster.com/) ([中译版](http://nshipster.cn/))：著名开源作者 [Matt Thompson](https://github.com/mattt) 创建的开发技术博客网站，他开发了 [AFNetworking](https://github.com/afnetworking/afnetworking) 网络库，也是非常多产的开源作者。更多了解参考：[《COCOA 潮人 MATTT THOMPSON》](http://www.fallhunter.com/p/10709)
* [objc.io](http://objc.io)([中译版 By @onevcat 及其朋友们](http://objccn.io))："关于 Objective-C 最佳实践和先进技术的期刊。 由 Chris Eidhof, Daniel Eggert 和 Florian Kugler 成立于柏林。我们成立 objc.io 的目的是针对深入的、跟所有 iOS 和 OS X 开发者相关的技术话题创造一个正式的平台。“
* [iOSCreator](http://www.ioscreator.com/)：该网站每月出 2-3 份不同侧重的开发指引式教程。它们对于初学者来讲是非常直接明了、有效的学习资源。
* [iOS Dev Weekly](https://iosdevweekly.com/)：收录一周以来 iOS 开发资讯链接，并于周五发布。由 [Dave Verwer](http://www.twitter.com/daveverwer) 创办，他是一位 iPhone 和 iPad 开发者以及培训师。
* [SwiftGG](http://swift.gg/)：一个走心的 Swift 翻译组，由《The Swift Programming Language》中文版翻译团队原班人马组成， 翻译的文章来源于国外的优秀 Swift 网站和博客，且全部获得作者和网站授权。
* [iosdevtips.co](http://iosdevtips.co)：iOS Development Tips
* [awesome-ios-cn](https://github.com/jobbole/awesome-ios-cn)：内容包括：框架、组件、测试、Apple Store、SDK、XCode、网站、书籍等
。维护者：[@唐尤华](http://weibo.com/tangyouhua?is_hot=1)
* [Awesome-Swift-Education](https://github.com/hsavit1/Awesome-Swift-Education)：整理地如此美妙的学习资源，实在让人太欢喜了。
* [matteocrippa/awesome-swift](https://github.com/matteocrippa/awesome-swift)：这个版本的 Swift 资源集合内容丰富，分类也不错。作者：[Matteo Crippa](matteocrippa/awesome-swift)
* [Swift Weekly Brief](http://www.jessesquires.com)：“这个博客现在每周会将Swift开源中的重要讨论和提交整理成Open source Swift weekly brief，这对一线开发者尽早了解这门语言的动态情报很有帮助。By [@崔康总编](http://weibo.com/cuikang82) ”。来源：[Jesse Squires](http://www.jessesquires.com)
* [Medium - Swift Programming](https://medium.com/swift-programming)：好多编程技巧和文章，更新及时效性还不错，值得常关注。来源：Medium
* [Top 100 Best Blogs for iOS Developers to Learn and Gain Insights](http://www.softwarehow.com/best-blogs-for-ios-developers/)：“iOS 开发者必看的 100 个全球最佳 iOS 博客 By [@CodingTogether](http://weibo.com/u/2510885182)”。
* [分类、整理、归纳非常清晰的开源 iOS 应用集合](https://github.com/dkhamsing/open-source-ios-apps) ｜（作者：[dkhamsing](https://github.com/dkhamsing)）

