[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 29
===
> **本期特别推荐** [一次 Objective-C 到 Swift 的改写之旅](https://github.com/nixzhu/dev-blog/blob/master/2015-05-27-wormhole.md)：“既然 Swift 是未来，自然要改写。而改写应当是一种再思考、再设计的过程”。作者：[@nixzhu](http://weibo.com/nixzhu)

### 项目
* [Produkt/RubberBandEffect](https://github.com/Produkt/RubberBandEffect)：仿苹果橡皮筋动画效果。喜欢的同学可以学习参考一下。
* [ricardopereira/SocketIO-Kit](https://github.com/ricardopereira/SocketIO-Kit)：Swift 版 socket.io 实现。WebSocket 部分基于第三方开源库 [Starscream](https://github.com/daltoniam/Starscream) 实现。P.S. socket.io 是跨平台多种连接（http, websocket）自动切换、基于事件的实时通讯接口库。
* [tidwall/SwiftWebSocket](https://github.com/tidwall/SwiftWebSocket)：WebSocket 协议（RFC 6455）实现类库。相较于另外一个开源实现 [Starscream](https://github.com/daltoniam/Starscream)，这个的 API 调用风格与 Javascript 版本几乎一致。
* [mathcarignani/MCMHeaderAnimated](https://github.com/mathcarignani/MCMHeaderAnimated)：这个类库提供列表与详细页切换过程中增加一个动画。
* [GetHighstreet/HighstreetWatchApp](https://github.com/GetHighstreet/HighstreetWatchApp)：一款采用 Highstreet 购物应用平台开发的极为流畅的 WatchKit 演示应用。
* [melvitax/AFImageHelper](https://github.com/melvitax/AFImageHelper)：一套针对 UIImage 和 UIImageView 的实用扩展库，功能包含填色和渐变、裁剪、缩放以及具有缓存机制的在线图片获取。
* [nixzhu/Wormhole](https://github.com/nixzhu/Wormhole)：[MMWormhole](https://github.com/mutualmobile/MMWormhole)的 Swift 版本，提供了iOS应用与扩展之间的消息传递。Swift 同学也有能力为该项目贡献或定制开发了。作者：[@nixzhu](http://weibo.com/nixzhu)
* [x140yu/XYInputView](https://github.com/x140yu/XYInputView)：“因为最近项目需要，所以实现了一个在 Keyboard 之上添加输入框的功能。代码很少，需要完善的地方也有...”。作者：[@X140Yu](http://weibo.com/hopexinyu)
* [johnil/VVeboTableViewDemo](https://github.com/johnil/VVeboTableViewDemo)：“将 VVebo 对 TableView 的优化剥离到了一个独立的 Demo 中。希望大家能通过这个 Demo 看到我的优化思路，欢迎随时来找我探讨”。看不太懂 Objective-C 的 Swift 同学，可以试着感受一下作者开发思路及实现技巧。作者：[@Johnil](http://weibo.com/u/3732851864)

### 文档
* [一次 Objective-C 到 Swift 的改写之旅](https://github.com/nixzhu/dev-blog/blob/master/2015-05-27-wormhole.md)：“既然 Swift 是未来，自然要改写。而改写应当是一种再思考、再设计的过程”。作者：[@nixzhu](http://weibo.com/nixzhu)
* [codepath/ios_guides](https://github.com/codepath/ios_guides)：通过众包模式为开发者写更专业（系统化一条龙学习平台）的开发教程。此项目若能长期长展，所有人都会受益。感兴趣的同学可以参与其中。
* [案例学习 - 面向Apple Watch自身特性及局限的产品重设计](http://www.beforweb.com/node/720)：“和前面几次 Watch 设计案例不同，今天这篇比实践更加实践 - 作者做了第一版 Watch App，发现在实际当中问题成堆，于是重新思考并改变架构，在设计规范框架基础上结合硬件限制和自家产品特性，做了大胆突破...”。原文：[Redesigning Overcast’s Apple Watch app](http://www.marco.org/2015/05/08/overcast-apple-watch-redesign)，译者：[@C7210](http://weibo.com/c7210)
* [Reducing WatchKit Traffic With View Models](http://techblog.thescore.com/2015/05/20/reducing-watchkit-traffic-with-view-models/)：“介绍了如何通过视图模型优化WatchKit 应用的性能表现，英语好的大大可以翻译下。By [@WatchKit开发](http://weibo.com/twios)” 。WatchKit 开发最佳实践。
* [iOS 项目的持续集成与管理](http://www.devtf.cn/?p=537)：提高生产力的实战经验分享好文章。作者：[@Sam_Lau_13](http://weibo.com/liuyaozhu)
* iOS应用架构谈：[1. 架构设计的方法论](http://www.infoq.com/cn/articles/ios-app-arch-part-01)；[2.View层的组织和调用方案（上）](http://www.infoq.com/cn/articles/ios-app-arch-2-1)，[iOS应用架构谈（二）：View层的组织和调用方案（中）](http://www.infoq.com/cn/articles/ios-app-arch-2-2)。可以学习不同工作背景下开发同学对于 iOS 应用架构的理解及经验。作者：田伟宇
* [XCode 升级后插件失效的原理与修复办法](http://joeshang.github.io/2015/04/10/fix-xcode-upgrade-plugin-invalid/)：由一条命令引发的分析文章。[@_TongJZ](http://weibo.com/u/2068840121)
* [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 SocketIO-Kit, SwiftWebSocket, AFImageHelper, Wormhole, MCMHeaderAnimated 等 5 个，合计已收录 119 个。
* [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 5 份，合计已收录 67 份。
* [IoTNotes](https://github.com/ideaTouch/IoTNotes)：随着 2015 WWDC 的临近，HomeKit 配套的智能硬件大军就要来了。建议同学们多关注 IoT 硬件及相关开发平台。推荐上周我整理的这份笔记供大家参考。虽然不是最专业的，不过覆盖面还是比较广的。
