[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 32
===
> **本期特别推荐** [Swift 2.0 初探](http://www.devtalking.com/articles/what-is-new-in-swift/)：言简意赅、示例并茂地讲了若干关键新语法功能及用途。作者：[@DevTalking](http://weibo.com/jacefu)


### 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 JSONCodable, UIImageColors, UIStackView-Playground, watchOS-2-Sampler, Dodo, ios-universal-webview-boilerplate 等 6 个，合计已收录 136 个。

* [matthewcheok/JSONCodable](https://github.com/matthewcheok/JSONCodable)：基于 Swift 2.0 新特性（Protocol Extensions and Error Handling）的JSON 解析类。
* [soffes/SyntaxKits](https://github.com/soffes/SyntaxKit)：TextMate 风格语法高亮类库（基于 Swift 2.0）。
* [jathu/UIImageColors](https://github.com/jathu/UIImageColors)：又一款根据图片获取主色、次色、背景色、详细色的类。P.S. 另一款功能相同的类是 [SwiftColorArt](https://github.com/Jan0707/SwiftColorArt)。
* [alskipp/Swift-Diagram-Playgrounds](https://github.com/alskipp/Swift-Diagram-Playgrounds)：面向协议的编程示例 Playgrounds 。P.S. 编程技术真是日新月异啊。
* [jstart/UIStackView-Playground](https://github.com/jstart/UIStackView-Playground)：采用 UIStackView 平铺式自动布局演示示例 Playground。#为开源点赞# P.S. 顺附 [UIStackView 官方文档译文](http://www.cnblogs.com/tieria/p/4572882.html) By [@潇湘TT](http://weibo.com/tieria0512)。
* [exchangegroup/Dodo](https://github.com/exchangegroup/Dodo)：一款轻量地可定制信息栏小组件。包含 success, info, warning 及 error 类型消息展现。提供基本的按扭及事件绑定。
* [akeFiveInteractive/WeatherMap](https://github.com/TakeFiveInteractive/WeatherMap)：基于地图的天气预报（上架）应用。比较适合长途自驾游的同学。
* [shu223/watchOS-2-Sampler](https://github.com/shu223/watchOS-2-Sampler)：基于 watchOS 2 若干新特性，作者写了相应的示例代码供大家学习、参考。
* [KhaosT/HMWatch](https://github.com/KhaosT/HMWatch)：即便只是一个有待完善的 watchOS 2.0 HomeKit 示例，参考价值还是很高的。
* [nabilfreeman/ios-universal-webview-boilerplate](https://github.com/nabilfreeman/ios-universal-webview-boilerplate)： 快速封装 WebApp 到 iOS 应用，即便你毫无 Swift 编程经验。

### 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [Swift 2.0 初探](http://www.devtalking.com/articles/what-is-new-in-swift/)，[Swift 2 有哪些新特性[译]](http://www.jianshu.com/p/2dc639b2675a)，[Swift 2.0 异常处理](http://www.jianshu.com/p/96a7db3fde00)，[Grand Central Dispatch 基础教程：Part 2/2](http://www.jianshu.com/p/6185d3753dd8) 等 4 份，合计已收录 79 份。

* [Swift 2.0 初探](http://www.devtalking.com/articles/what-is-new-in-swift/)：言简意赅、示例并茂地讲了若干关键新语法功能及用途。作者：[@DevTalking](http://weibo.com/jacefu)
* [Swift 2 有哪些新特性[译]](http://www.jianshu.com/p/2dc639b2675a)：“在WWDC我们发现Swift团队没有浪费时间在无谓的地方，而是致力于改善 Swift 2”。来源：Ray Wenderlich [What’s New in Swift 2](http://www.raywenderlich.com/108522/whats-new-in-swift-2)，[@Sam_Lau_Dev](http://weibo.com/liuyaozhu)
* [Swift 2.0 异常处理](http://www.jianshu.com/p/96a7db3fde00)：“WWDC 2015 宣布了新的 Swift 2.0. 这次重大更新给 Swift 提供了新的异常处理方法。这篇文章会主要围绕这个方面进行讨论”。作者：[@溯流言之](http://weibo.com/rcgary)
* [WWDC 2015 现场笔记 （一）](http://yin-xu.com/wwdc-2015-1/)，[（二）](http://yin-xu.com/wwdc-2015-2/)：“又是一年的 WWDC，如同朝圣一般的大家又是早早就在旧金山 Moscone Center 门前排起了长队。作为第二年参加WWDC的我已经不如其他开发者呢么激动，提早一天就来排队...”。作者：[@炎老影Pepsi先生](http://weibo.com/kelxu)
* [Grand Central Dispatch 基础教程：Part 2/2](http://www.jianshu.com/p/6185d3753dd8)：“在教程的[第一部分](http://www.jianshu.com/p/50c060bab0ff)，你学到了一些关于并发，线程及GCD工作原理的知识。你通过并用dispatch_barrier_async与dispatch_sync保证了PhotoManager单例在读取与写入照片过程中的线性安全性”。
* [SwiftEducation](https://github.com/SwiftEducation)：“这是建立在 GitHub 上的一个 Swift 学习资料汇集，包括了有关幻灯和多个练手的应用程序源码。By @极客头条”。的确有不少基础实用的好[教程](https://github.com/SwiftEducation/presentations)。这对于基础学起的同学有福了。
* [玩儿转 Swift](http://www.imooc.com/learn/127)：“随着Swift最新1.2版本的出炉，大家期待已久的《玩儿转Swift》系列课程也将迎来暂时的终点。在课程的最后一章，我们将随波波老师全面了解Swift 1.2 的新特性：简洁的if-let、全新的Set结构、as和OC-bridge等内容。一起来学习吧！”。来源：[@慕课网](http://weibo.com/u/3306361973)
* [IoT 笔记](http://ideatouch.github.io/IoTNotes/)：为了方便学习、查阅，额外提供一份排版干净的版本。

