[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 34
===
> **本期特别推荐** [Yalantis/Koloda](https://github.com/Yalantis/Koloda)：基于卡片的 Tinder-style 动画效果示例。精细绝人。更赞的是额外附了详细开发教程 [How We Built Tinder-Like Koloda Animation in Swift](https://yalantis.com/blog/how-we-built-tinder-like-koloda-in-swift/)。Yalantis 出品动画程序款款精品。


### 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录  [Swifternalization](https://github.com/tomkowz/Swifternalization), [TLMetaResolver](https://github.com/tryolabs/TLMetaResolver), [Presentation](https://github.com/hyperoslo/Presentation), [apous](https://github.com/owensd/apous), [Sapporo](https://github.com/nghialv/Sapporo), [Koloda](https://github.com/Yalantis/Koloda), [QuickRearrangeTableView](https://github.com/okla/QuickRearrangeTableView), [swiftmi-app](https://github.com/feiin/swiftmi-app) 等 8 个，合计已收录 152 个。

* [tomkowz/Swifternalization](https://github.com/tomkowz/Swifternalization)：一套实用的本地化工具库。使用教程及 API 文档完整。值得收入项目的“轮子”。
* [tryolabs/TLMetaResolver](https://github.com/tryolabs/TLMetaResolver)：装载 Web 页面时，该 UIWebView 扩展自动解析 HTML 头部 Meta Tags 。这个“轮子”对你有用吗？
* [owensd/apous](https://github.com/owensd/apous)：一款有趣的 Swift 应用 － 让 Swift 成为脚本语言。
* [hyperoslo/Presentation](https://github.com/hyperoslo/Presentation)：重量级好项目 Presentation，它可以方便你制作定制的动画式教程、Release Notes、个性化演讲稿等。

	![](https://raw.githubusercontent.com/hyperoslo/Presentation/master/Demos/Parallax/Images/Parallax-v2.gif)

* [morizotter/SwiftyDrop](https://github.com/morizotter/SwiftyDrop)：这款轻量、易用的小清新弹出列表及信息提示组件真心不错。

	![Default](https://github.com/morizotter/SwiftyDrop/raw/master/misc/Default.png)![iPad](https://github.com/morizotter/SwiftyDrop/raw/master/misc/iPadPortlait.png)

* [nghialv/Sapporo](https://github.com/nghialv/Sapporo)：单元格模型驱动的集合视图管理器组件。又一个超实用的“轮子”。

	![](https://camo.githubusercontent.com/74ea46cef367b365f7fde3218020fbe6d884e99d/68747470733a2f2f646c2e64726f70626f7875736572636f6e74656e742e636f6d2f752f383535363634362f6d616e6167696e672e676966)

* [FlexMonkey/MarkingMenu](https://github.com/FlexMonkey/MarkingMenu)：基于手势、类似 Autodesk Maya 风格标记菜单及图片渲染。

	![](https://github.com/FlexMonkey/MarkingMenu/raw/master/MarkingMenu/markingMenu.gif)

* [okla/QuickRearrangeTableView](https://github.com/okla/QuickRearrangeTableView)：基于 UITableView 的快速重排功能扩展子类。通过长按选定单元格然后滚动移动到指定位置。

	![](https://cloud.githubusercontent.com/assets/8558017/8571784/5d9084f4-2591-11e5-8cc1-9a4011bc41dc.gif)

* [Yalantis/Koloda](https://github.com/Yalantis/Koloda)：基于卡片的 Tinder-style 动画效果示例。精细绝人。更赞的是额外附了详细开发教程 [How We Built Tinder-Like Koloda Animation in Swift](https://yalantis.com/blog/how-we-built-tinder-like-koloda-in-swift/)。Yalantis 出品动画程序款款精品。

	![](https://github.com/Yalantis/Koloda/raw/master/Koloda_example_animation.gif)

* [kevinzhow/RealtimeGradientText](https://github.com/kevinzhow/RealtimeGradientText)：中、英文输入联想。P.S. 需要切换到中文环境。

	![](https://github.com/kevinzhow/RealtimeGradientText/raw/master/gradient.gif)

* [feiin/swiftmi-app](https://github.com/feiin/swiftmi-app)：一款完整的社区应用。

	![](https://github.com/feiin/swiftmi-app/raw/master/swiftmi.gif)


### 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [多范式编程语言－以 Swift 为例](http://www.infoq.com/cn/articles/multi-paradigm-programming-language-swift), [NSHipster - CloudKit](http://nshipster.com/cloudkit/), [An Introduction to watchOS 2 ClockKit](http://code.tutsplus.com/tutorials/an-introduction-to-clockkit--cms-24247), [WatchOS 2 Tutorial: Animations Using Groups](http://www.kristinathai.com/watchos-2-tutorial-animations-using-groups/)等 4 份，合计已收录 86 份。

* [NSHipster - CloudKit](http://nshipster.com/cloudkit/)：一篇非常实用的 CloudKit 入门指南。通过轻便地 CloudKit API 管理应用数据，由 iCloud 平台来保证应用数据安全，舍它取谁。[嘻嘻] P.S. 恭喜 [@刘镇夫](http://weibo.com/croath) 同学转正为 nshipster.com 作者了。
* [Using Swift with Cocoa and Objective-C（Swift 2.0中文版）](http://www.cocoachina.com/swift/20150707/12446.html)：“该中文版文档已针对Swift 2.0进行了更新，感谢参与2.0版本更新的翻译和校对人员”。译者： @DevTalking @星夜暮晨 @Wongzigii 等
* [WatchConnectivity 通信框架小结](http://blog.csdn.net/taiweixp/article/details/46764143)：“学习完了watchOS2的WatchConnectivity，写了篇《WatchConnectivity通信框架学习小结》，没看英文WWDC的可以来瞅瞅”！作者：[@WatchKit开发](http://weibo.com/twios)
* [WatchOS 2 Tutorial: Animations Using Groups](http://www.kristinathai.com/watchos-2-tutorial-animations-using-groups/)：“这篇博文实践了 watchOS2 里的 UI 动画 By [@WatchKit开发](http://weibo.com/twios)”
* 表盘开发外文二联弹：[（一）An Introduction to watchOS 2 ClockKit](http://code.tutsplus.com/tutorials/an-introduction-to-clockkit--cms-24247)，[（二）The Not So Comlicated Complications](http://macoscope.com/blog/the-not-so-complicated-complications)。By [@WatchKit开发](http://weibo.com/twios)
* [多范式编程语言－以 Swift 为例](http://www.infoq.com/cn/articles/multi-paradigm-programming-language-swift)：Swift 基本语法的分类总结。浅显易懂，非常适合初学者阅读参考。作者：[郭麟](http://www.infoq.com/cn/author/%E9%83%AD%E9%BA%9F)
* [简约之道 - 最小化界面设计的起源](http://www.beforweb.com/node/736)：文章通过例数界面设计发展历程，直到当前主流设计及观点，是一篇极具思考性的文章。P.S. 个人觉得界面极简于否应取决于屏幕大小、使用场景及用户有效关注点数量，长远来看，还是应该有更智能的个性化界面。来源：[@BeForWeb](http://weibo.com/beforweb) 译者：[@C7210](http://weibo.com/c7210) 原文：[The Roots of Minimalism in Web Design](http://www.nngroup.com/articles/roots-minimalism-web-design/)
