[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 35
===
> **本期特别推荐** [Tesseract OCR（光学字符识别）教程](http://www.cocoachina.com/ios/20150708/12463.html)：“你之前肯定已经见过，OCR技术被应用于在平板电脑上将扫描文件处理成手写字迹，还被应用于谷歌最近添加到他们的Translate app上的"Word Len"功能。现在你将学习在自己的iPhone app上使用OCR，非常酷，不是吗？”。原文：[Tesseract OCR Tutorial](http://www.raywenderlich.com/93276/implementing-tesseract-ocr-ios)，作者：[Lyndsey Scott](http://www.raywenderlich.com/u/Lyndsey)，译者：[@CocoaChina](http://weibo.com/cocoachina) 翻译组 [Mr_cyz](http://blog.csdn.net/u013604612)

### 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 [Mirror](https://github.com/kostiakoval/Mirror), [Decodable](https://github.com/Anviking/Decodable), [CoreValue](https://github.com/terhechte/CoreValue), [Static](https://github.com/venmo/Static), [ParkedTextField](https://github.com/gmertk/ParkedTextField), [GMStepper](https://github.com/gmertk/GMStepper), [tispr-card-stack](https://github.com/tispr/tispr-card-stack) 等 7 个，合计已收录 161 个。

* [Anviking/Decodable](https://github.com/Anviking/Decodable)：又一款 Swift 2 版 JSON 解析（对象映射）类。实现简单，易于理解。
* [kostiakoval/Mirror](https://github.com/kostiakoval/Mirror)：通过反射（Refection）实现镜像对象封装库。从而可以更轻松获取（或输出）对象属性名、类型及值变量。
* [terhechte/CoreValue](https://github.com/terhechte/CoreValue)：Swift 2 版 Core Data 封装库。相比另外两个 [SwiftRecord](https://github.com/arkverse/SwiftRecord) 和 [CoreStore](https://github.com/JohnEstropia/CoreStore) 更轻量。
* [nsdictionary/CFRuntime](https://github.com/nsdictionary/CFRuntime)：“Swift 版的 [MJExtension](https://github.com/CoderMJLee/MJExtension)，运行时、反射与一键字典模型互转”。
* [venmo/Static](https://github.com/venmo/Static)：使用简单、功能强大地静态表格视图组件。快速开发利器。
* [nixzhu/Proposer](https://github.com/nixzhu/Proposer)：“用单个 API 处理 iOS 上的权限请求，以便使用前确认可访问“相册”、“相机”、“麦克风”、“通讯录”或“用户位置”。”
* [gmertk/ParkedTextField](https://github.com/gmertk/ParkedTextField)：带固定文本的输入组件。

	![](https://raw.githubusercontent.com/gmertk/ParkedTextField/master/Screenshots/ParkedTextField.gif)

* [gmertk/GMStepper](https://github.com/gmertk/GMStepper)：带动画效果、支持手势滑动操作的步进标签。

	![](https://raw.githubusercontent.com/gmertk/GMStepper/master/Screenshots/screenshot_1.gif)

* [tispr/tispr-card-stack](https://github.com/tispr/tispr-card-stack)：卡片风格动画切换组件及完整交互示例。P.S. 另外一个比较热门的类似组件 [Koloda](https://github.com/Yalantis/Koloda)。

	![](https://github.com/tispr/tispr-card-stack/raw/master/Screenshot_main.gif)

* [PhamBaTho/BTNavigationDropdownMenu](https://github.com/PhamBaTho/BTNavigationDropdownMenu)：下拉列表暨导航标题组件。简单、直接、易用。

	![](https://github.com/PhamBaTho/BTNavigationDropdownMenu/raw/master/Assets/Demo.gif)

* [DeveloperLx/LxThroughPointsBezier-Swift](https://github.com/DeveloperLx/LxThroughPointsBezier-Swift)：“破解绘制贝塞尔曲线定位控制点难题！仅需给出若干关键点，即可绘制出一条「经过」这些关键点的光滑曲线！！且关键点位置、曲度参数皆实时可调！”

	![](https://github.com/DeveloperLx/LxThroughPointsBezier-Swift/raw/master/demo.gif)
	
* [manavgabhawala/CocoaMultipeer](https://github.com/manavgabhawala/CocoaMultipeer)：“CocoaMultipeer这个开源框架支持OS X, iOS和watchOS设备间的点对点通信，解决watchOS和Mac之间通信的方案还是很有用的。By [@WatchKit开发](http://weibo.com/twios)”
* [shinobicontrols/iOS9-day-by-day](https://github.com/shinobicontrols/iOS9-day-by-day)： 继 [iOS8-day-by-day](https://github.com/shinobicontrols/iOS8-day-by-day) 后， iOS9-day-by-day 也来了。如此专业的实战训练项目，不要错过。
[MartinRGB/MTSwift-Learning](https://github.com/MartinRGB/MTSwift-Learning)：通过一些简单项目实战演练开始学习 Swift 。P.S. 其它比较靠谱的连载式实战训练项目：[iOS9-day-by-day](https://github.com/shinobicontrols/iOS9-day-by-day)，[iOS8-day-by-day](https://github.com/shinobicontrols/iOS8-day-by-day)。

### 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [Tesseract OCR（光学字符识别）教程](http://www.cocoachina.com/ios/20150708/12463.html) 1 份，合计已收录 87 份。

* [Tesseract OCR（光学字符识别）教程](http://www.cocoachina.com/ios/20150708/12463.html)：“你之前肯定已经见过，OCR技术被应用于在平板电脑上将扫描文件处理成手写字迹，还被应用于谷歌最近添加到他们的Translate app上的"Word Len"功能。现在你将学习在自己的iPhone app上使用OCR，非常酷，不是吗？”。原文：[Tesseract OCR Tutorial](http://www.raywenderlich.com/93276/implementing-tesseract-ocr-ios)，作者：[Lyndsey Scott](http://www.raywenderlich.com/u/Lyndsey)，译者：[@CocoaChina](http://weibo.com/cocoachina) 翻译组 [Mr_cyz](http://blog.csdn.net/u013604612)
* [iOS8 Swift文件管理教程](https://github.com/bboyfeiyu/iOS-tech-frontier/blob/master/issue-12/iOS8%20Swift%E6%96%87%E4%BB%B6%E7%AE%A1%E7%90%86%E6%95%99%E7%A8%8B.md)：“当一款iOS的App安装到设备上以后，将会创建一个文件夹，其中包含了用于存储临时文件的临时文件夹。这篇文章我们在管理该临时文件夹，包括创建读取和删除文件”。译者：[@HarriesChen](http://weibo.com/u/3133068967)，原文：[iOSCreator - File Management Tutorial in iOS8 with Swift](http://www.ioscreator.com/tutorials/file-management-tutorial-ios8-swift)
* [watchOS 2: The Power of Animations](http://code.tutsplus.com/tutorials/watchos-2-the-power-of-animations--cms-24302)：“是一篇挺详细的watchOS2动画英文教程。By [@WatchKit开发](http://weibo.com/twios)”。源代码：[tutsplus/watchOS-NativeAnimations](https://github.com/tutsplus/watchOS-NativeAnimations)
