[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 36
===
> **本期特别推荐** [ninjaprox/NVActivityIndicatorView](https://github.com/ninjaprox/NVActivityIndicatorView)：酷炫的装载动画库及演示。如此丰富的 Swift 装载动画集合，史无前例。

### 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 [NVActivityIndicatorView](https://github.com/ninjaprox/NVActivityIndicatorView)，[CKWaveCollectionViewTransition](https://github.com/CezaryKopacz/CKWaveCollectionViewTransition)，[EasyTipView](https://github.com/teodorpatras/EasyTipView)，[SwiftPages](https://github.com/GabrielAlva/SwiftPages)，[RazzleDazzle](https://github.com/IFTTT/RazzleDazzle)，[FFLabel](https://github.com/liufan321/FFLabel) 等 5 个，合计已收录 166 个。

* [KyoheiG3/AttributedLabel](https://github.com/KyoheiG3/AttributedLabel)：显示性能数量级 UILabel 的 AttributedLabel。无畏无惧、挑战权威。
* [liufan321/FFLabel](https://github.com/liufan321/FFLabel)：自动检测 URLs, @username, #topic# 等关链词（提供响应扩展）。实用的标签文本小组件。
* [realm/realm-cocoa](https://github.com/realm/realm-cocoa)：可以匹敌 Core Data 和 SQLite 存储解决方案。同时支持 Swift 和 Objective-C。相关中译教程：[Realm数据库基础教程](http://www.cocoachina.com/ios/20150505/11756.html)
* [441088327/LayoutTrait](https://github.com/441088327/LayoutTrait)：“做iPad 多任务分屏 适配的同学可以看一下”。 作者：[@余书懿](http://weibo.com/ysy441088327)
* [ninjaprox/NVActivityIndicatorView](https://github.com/ninjaprox/NVActivityIndicatorView)：酷炫的装载动画库及演示。如此丰富的 Swift 装载动画集合，史无前例。

	![](https://raw.githubusercontent.com/ninjaprox/NVActivityIndicatorView/master/Demo.gif)

* [CezaryKopacz/CKWaveCollectionViewTransition](https://github.com/CezaryKopacz/CKWaveCollectionViewTransition)：扩展于 UICollectionView 的仿波纹视图收放动画类及示例（适用于图片管理）。

	![](https://camo.githubusercontent.com/2f99596b72f45d520ddb0ef42b057e0e316aa3d1/687474703a2f2f692e67697068792e636f6d2f336f383578796f59657047313737426874652e676966)

* [teodorpatras/EasyTipView](https://github.com/teodorpatras/EasyTipView)：弹出提示框类及演示示例。同样地，API 简单、易用。好“轮子”。
	
	![](https://github.com/teodorpatras/EasyTipView/raw/master/images/preview.gif)

* [tomvanzummeren/TZStackView](https://github.com/tomvanzummeren/TZStackView)：TZStackView O网页链接：iOS 9 UIStackView 功能模拟实现于 iOS 7/ iOS 8 内。
	
	![](https://github.com/tomvanzummeren/TZStackView/raw/master/assets/layout-example.png)

* [GabrielAlva/SwiftPages](https://github.com/GabrielAlva/SwiftPages)：高可定制类似 Instagram 视图滑动切换功能类库。API 简单、易用。

	![](https://github.com/GabrielAlva/SwiftPages/raw/master/Resources/SwiftPagesSample.gif)
	
* [IFTTT/RazzleDazzle](https://github.com/IFTTT/RazzleDazzle)：IFTTT 出品基于关键锁的动画框架架类库。适合个性化演讲稿。P.S. 另一个类似框架 [Presentation](https://github.com/hyperoslo/Presentation)

	![](https://github.com/IFTTT/RazzleDazzle/raw/master/Example/Docs/razzledazzle-demo.gif)

* [mengxiangyue/PhotoPicker](https://github.com/mengxiangyue/PhotoPicker)：“自己用Swift做了一个iOS系统照片的选择的小例子，主要是用到了PhotoKit、自动布局（SnapKit）、UIPageViewController，支持iPhone、iPad，但是照片浏览在iPad上还是有点问题”。作者：[@孟祥月](http://weibo.com/u/1750643861)
* [belm/BaiduFM-Swift](https://github.com/belm/BaiduFM-Swift)：Swift 写的百度FM应用，支持Apple Watch。作者：[@51鲁蒙](http://weibo.com/belmeng)


## 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [UICollectionViews 的拖拽效果](http://nshint.io/blog/2015/07/16/uicollectionviews-now-have-easy-reordering/)，[如何用代码控制以不同屏幕方向打开新页面](http://lvwenhan.com/ios/458.html)，[关键帧动画实用教程](http://www.devtalking.com/articles/uiview-keyframe-animation/)，[iOS9 Day-by-Day 中译](http://www.jianshu.com/notebooks/1351342/latest)，[单例在Swift中的正确实现方式](http://www.devtf.cn/?p=937) 等 5 份，合计已收录 92 份。

* [UICollectionViews 的拖拽效果](http://nshint.io/blog/2015/07/16/uicollectionviews-now-have-easy-reordering/)：“随着 iOS9 的发布，现在实现起来更加简单。By [@Meng_Hang_](http://weibo.com/u/5193870696)”。源代码：[nshintio/uicollectionview-reordering](https://github.com/nshintio/uicollectionview-reordering)
* [（如何正确）处理键盘通知 ](https://github.com/nixzhu/dev-blog/blob/master/2015-07-27-keyboard-man.md)：“做键盘跟随动画，处理键盘通知时遇到的一些坑”。作者：[@nixzhu](http://weibo.com/nixzhu)
* [如何用代码控制以不同屏幕方向打开新页面](http://lvwenhan.com/ios/458.html)：“前两天遇到了一个 “使用指定的不同屏幕方向打开新页面” 的需求，需求很简单：APP 一直保持竖屏，要求新打开的页面能够指定为横屏或竖屏，并且不允许自动切换，新页面退出后要恢复竖屏”。作者：[吕文翰_JohnLui ](http://weibo.com/balishengmuyuan)
* [关键帧动画实用教程](http://www.devtalking.com/articles/uiview-keyframe-animation/)：“Keyframe 动画可以让我们有效的拆分由若干段动画连接而成的复杂动画，可以较为精准的定义每段动画的起始点及持续时间，并且在代码组织方面也非常清晰”。作者：[@DevTalking](http://weibo.com/jacefu)
* [单例在Swift中的正确实现方式](http://www.devtf.cn/?p=937)：“在Swift中有好几种不同的方式来实现一个单例。到底哪一个才是正确的方式呢？在这边博客里，我将和你好好聊聊单例的历史和在Swift中单例正确的实现方式”。译者：[Gottabe](https://github.com/Gottabe)，来源：[开发技术前线](http://weibo.com/u/5589212242)
* [iOS9 Day-by-Day 中译](http://www.jianshu.com/notebooks/1351342/latest)：持续更新中…… 译者：[@nathan1](http://weibo.com/elepone)
* [那些用 Swift 写的 App 们](http://imtx.me/archives/1940.html)：“本文列举了 13 个用 Swift 写的 App，另附加了好几篇国外团队写的 Swift 项目经验分享。看看你所知道的哪些 App 是用 Swift 写的？如果你还知道我没列在里面的，可以留言告诉我”。作者：[@图拉鼎](http://weibo.com/tualatrix)
* [简约之道 - 最小化界面设计的组成要素及可用性分析](http://www.beforweb.com/node/749)：“理论上讲，最小化思想可以帮我们远离曾经的混乱局面，打造更加平滑自然的人机互动。不过现实中的情况并非那么理想，很多设计师仅从形式上拷贝着各种流行的设计要素，却忽略了特定的产品目标及各种可用性陷阱…”。译者：[@C7210](http://weibo.com/c7210)
* [newsletter - swiftsandbox.io](http://swiftsandbox.io/)：“每周推送 Swift 相关优秀资源。By [梁杰_numbbbbb](http://weibo.com/numbbbbb)”
