[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 37
===
> **本期特别推荐** [《The Swift Programming Language》中文版全新发布](http://wiki.jikexueyuan.com/project/swift/)：“37个章节全部完成更新！从这次开始我们将组建长期维护团队，一起努力，让这个项目可以走的更远，可以帮助更多读者。” 转自 [@SwiftGG翻译组](http://weibo.com/swiftguide)。

### 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 [BRYXBanner](https://github.com/bryx-inc/BRYXBanner), [FillableLoaders](https://github.com/poolqf/FillableLoaders), [Interstellar](https://github.com/JensRavens/Interstellar), [PennyPincher](https://github.com/fe9lix/PennyPincher), [SwiftPasscodeLock](https://github.com/yankodimitrov/SwiftPasscodeLock), [R.swift](https://github.com/mac-cain13/R.swift), [Ji](https://github.com/honghaoz/Ji), [PhotoBrowser](https://github.com/nsdictionary/PhotoBrowser), [TKAnimatedCheckButton](https://github.com/entotsu/TKAnimatedCheckButton), [PullToBounce](https://github.com/entotsu/PullToBounce) 等 10 个，合计已收录 176 个。

* [bryx-inc/BRYXBanner](https://github.com/bryx-inc/BRYXBanner)：一款可以带图片显示的下拉通知条类库及示例。
* [poolqf/FillableLoaders](https://github.com/poolqf/FillableLoaders)：基于 CGPaths 可定制个性化填空式装载类库。附水波上涨式示例。
* [Swinject/Swinject](https://github.com/Swinject/Swinject)：依赖注入（Dependency Injection）模式代码框架实现类库及示例。P.S. 依赖注入是 IOC（Inversion of Control 控制反转） 重要的解耦设计模式及方案。
* [mengmanzbh/KlineInSwift](https://github.com/mengmanzbh/KlineInSwift)：“Swift 版 K线图，可以放大缩小，拖动，横竖版切换”。
* [yankodimitrov/SwiftPasscodeLock](https://github.com/yankodimitrov/SwiftPasscodeLock)：基于Touch ID 身份认证的可定制密码锁类库及示例。
* [fe9lix/PennyPincher](https://github.com/fe9lix/PennyPincher)：手势识别机器学习类库及演示。
* [osnr/Screenotate](https://github.com/osnr/Screenotate)：支持 OCR 文字识别的载屏笔记 Mac 完整应用。HTML 格式管理笔记内容。值得学习的好项目。
* [nsdictionary/CFCityPickerVC](https://github.com/nsdictionary/CFCityPickerVC)：功能完整的城市选取控制器类库及示例。
* [JensRavens/Interstellar](https://github.com/JensRavens/Interstellar)：简单、轻量的函数响应式编程框架。其主要特点是轻耦合，用 Signal<T> 即可完成主要功能。
* [likedan/KDIntroView](https://github.com/likedan/KDIntroView)：动态介绍视图框架及演示。另外两个相似的类库是 [RazzleDazzle](https://github.com/IFTTT/RazzleDazzle) 和 [Presentation](https://github.com/hyperoslo/Presentation)，择需使用。
* [honghaoz/Ji](https://github.com/honghaoz/Ji)：Swift 版 HTML/XML 解析器。 作者: [@HonghaoZ](http://weibo.com/billyzhanghonghao)
* [mac-cain13/R.swift](https://github.com/mac-cain13/R.swift)：“终于不用再 hardcode 字符串了，可惜还是没有办法支持 Selector。 By [@汤圣罡](http://weibo.com/lexrus)”
* [nsdictionary/PhotoBrowser](https://github.com/nsdictionary/PhotoBrowser)：照片浏览利器，定制化特性丰富，可以满足各种微小差异需求。
* [entotsu/TKAnimatedCheckButton](https://github.com/entotsu/TKAnimatedCheckButton)：又一款 Hamburger 风格按钮动画图标（单选）组件。
* [entotsu/PullToBounce](https://github.com/entotsu/PullToBounce)：弹跳球效果下拉即刷新动画类库及演示。非常新颖。值得学习、使用。
* [gmertk/BusyNavigationBar](https://github.com/gmertk/BusyNavigationBar)：多种风格的可定制装载等待效果组件。

## 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [Strings in Swift 2 译文](http://www.devtf.cn/?p=989), [从 SDK 详说 Swift 代码的改变](http://www.csdn.net/article/2015-08-17/2825473-swift-er-sdk)，[30 分钟开发一个简单的 watchOS 2 app](http://onevcat.com/2015/08/watchos2/), [自己动手构建表单验证功能](http://lvwenhan.com/ios/459.html), [如果你还在用子类（Subclassing），那就不对了](http://www.jianshu.com/p/80bd6633ec7c) 等 5 份，合计已收录 97 份。

* [Strings in Swift 2 译文](http://www.devtf.cn/?p=989)：“Swift 提供高性能，兼容 Unicode 的 String 作为标准库的一部分，在 Swift 2.0，String 类型不再符合CollectionType协议，曾经String是字符的集合，类似于 Array。现在，String 提供了一个公开字符集视图的charactes属性...”。译文来源：[@开发技术前线](http://weibo.com/u/5589212242)
* [从 SDK 详说 Swift 代码的改变](http://www.csdn.net/article/2015-08-17/2825473-swift-er-sdk)：“Xcode 7中，几乎所有常见框架都指定了其API的nullability注解，包括其集合类型的元素，这使得Swift代码的样子发生了变化，而通过To Latest Swift Syntax会将实现从Swift 1.2到2.0的代码转换”。译文来源：[@CSDN移动](http://weibo.com/csdnmobile)
* [30 分钟开发一个简单的 watchOS 2 app](http://onevcat.com/2015/08/watchos2/)：[OneV's Den](http://weibo.com/onevcat) 的新文章 WWDC15 Session 笔记。
* [如果你还在用子类（Subclassing），那就不对了](http://www.jianshu.com/p/80bd6633ec7c)：“你可能对我的标题感到诧异。我并不是说子类没有价值，尤其在使用单一继承（single inheritance）的情况下，类和子类当然是强有力的工具。然而我想说的是，iOS日常开发的问题是对类和继承的过度使用...”。作者：[ray16897188](http://www.jianshu.com/users/97c49dfd1f9f/latest_articles)
* [在 Swift 怎样创建 CocoaPod](http://www.devtf.cn/?p=963)：“在制作这个美味的冰淇凌的教程中学会如何使用自己的 CocoaPod，你可能熟悉一些众所周知的东西，开源的open-source CocoaPods，例如 Alamofire 或 MBProgressHUD，但有的时候你并不能找到一个符合你要求的pod，或者你可能想要把一个大的项目分成小的项目，或是可复用组建...”。 作者：[@开发技术前线](http://weibo.com/u/5589212242)
* [自己动手构建表单验证功能](http://lvwenhan.com/ios/459.html)：“实现下图中的所有功能，加上注释和空行，一共用了 90 行代码”。作者：[@吕文翰_JohnLui ](http://weibo.com/balishengmuyuan)
* Swift + SpriteKit 中文教程：[第一篇](http://segmentfault.com/a/1190000002400319)，[第二篇](http://segmentfault.com/a/1190000002441005), [第三篇](http://segmentfault.com/a/1190000003048417), [第四篇](http://segmentfault.com/a/1190000003051208)：“本教程适用于入门开发者，我将会告诉你如何最快开发出小游戏，但所使用的未必是最佳方案。本教程将使用纯swift+storyboard进行开发，所以最好有一点点这两种技术的基础”。来源：[@Segmentfault](http://weibo.com/segmentfault)
* [iOS 当中 4 种 UI 元素的可用性问题及优化建议](http://www.beforweb.com/node/748)：“背离“官方的”设计模式，总会让人觉得不安，况且与大家的模式保持一致也能帮用户降低学习成本。但是，无论你决定遵从怎样的设计规范，我们都建议你通过可用性测试来验证这些模式是否真的适用于自家产品及目标用户...”。译文来源:[@BeForWeb](http://weibo.com/beforweb)
