[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 38
===
> **本期特别推荐** [yoavlt/LiquidFloatingActionButton](https://github.com/yoavlt/LiquidFloatingActionButton)：可定制水滴型浮动动态按钮组件及演示。

### 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 [AlamofireImage](https://github.com/Alamofire/AlamofireImage), [apngkit](https://github.com/onevcat/apngkit), [BlackHawk](https://github.com/Lucky-Orange/BlackHawk), [LiquidFloatingActionButton](https://github.com/yoavlt/LiquidFloatingActionButton), [Cheetah](https://github.com/suguru/Cheetah), [Popover](https://github.com/corin8823/Popover), [AMScrollingNavbar](https://github.com/andreamazz/AMScrollingNavbar), [ActiveLabel.swift](https://github.com/optonaut/ActiveLabel.swift), [SwiftSpace](https://github.com/FlexMonkey/SwiftSpace), [Loggerithm](https://github.com/honghaoz/Loggerithm), [NetReachability](https://github.com/liufan321/NetReachability), [TKSubmitTransition](https://github.com/entotsu/TKSubmitTransition) 等 12 个，合计已收录 188 个。

* [Alamofire/AlamofireImage](https://github.com/Alamofire/AlamofireImage)：基于 Alamofire 的网络图片组件库。开发者：[Christian Noon](https://github.com/cnoon)
* [onevcat/apngkit](https://github.com/onevcat/apngkit)：“在 iOS 上解析和显示 APNG 的框架，可以让你的 app 支持 APNG 格式的动画图像。Apple 在 Safari 里已经加了 APNG 支持，这个框架算是为推进 APNG 成为标准做点自己的努力吧”。开发者：[@onevcat](http://weibo.com/onevcat)
* [Lucky-Orange/BlackHawk](https://github.com/Lucky-Orange/BlackHawk)：“基于 WKWebView 的 Cordova 兼容实现，比 UIWebView 性能高出数倍...”。开发者：[@吕文翰_JohnLui](http://weibo.com/balishengmuyuan)
* [yoavlt/LiquidFloatingActionButton](https://github.com/yoavlt/LiquidFloatingActionButton)：可定制水滴型浮动动态按钮组件及演示。这个实在太赞了。开发者：[Takuma Yoshida](https://github.com/yoavlt)
* [suguru/Cheetah](https://github.com/suguru/Cheetah)：易用、高可读链式动画类库。开发者：[Suguru Namura](https://github.com/suguru)。P.S. 另一个类似类库是 [DKChainableAnimationKit](https://github.com/Draveness/DKChainableAnimationKit)。
* [ProudOfZiggy/SIFloatingCollection_Swift](https://github.com/ProudOfZiggy/SIFloatingCollection_Swift)：可定制的 Apple Music 风格浮动形状动画组件及演示。开发者：[ProudOfZiggy](https://github.com/ProudOfZiggy)
* [corin8823/Popover](https://github.com/corin8823/Popover)：泡泡风格弹出视图封装类库及示例。开发者：[Yusuke Takahashi](https://github.com/corin8823)
* [andreamazz/AMScrollingNavbar](https://github.com/andreamazz/AMScrollingNavbar)：上下滚动时自动消隐或显示导航标题栏类库及示例。开发者：[Andrea Mazzini](https://github.com/andreamazz)
* [optonaut/ActiveLabel.swift](https://github.com/optonaut/ActiveLabel.swift)：扩展实现 UILabel 触控事件针对 “#, @, 链接” 响应及事件捕获。开发者：[Optonaut](https://github.com/optonaut)
* [FlexMonkey/SwiftSpace](https://github.com/FlexMonkey/SwiftSpace)：通过重力感应、陀螺仪、摄像头等常用传感设备，结合 CoreMotion 及 SceneKit 等 API 进行三维绘图。这是一个非常进取型的实验性项目。开发者：[simon gladman](https://github.com/FlexMonkey)
* [honghaoz/Loggerithm](https://github.com/honghaoz/Loggerithm)：一款非常靠谱的日志管理输出类库。( println 用于调试阶段，NSLog 用于生产环境) 。开发者：[张宏昊](https://github.com/honghaoz)
* [mackuba/SafariAutoLoginTest](https://github.com/mackuba/SafariAutoLoginTest)：神技巧演示如何基于 Safari cookies 自动登录 iOS 应用。开发者：[Kuba Suder](https://github.com/mackuba)
* [liufan321/NetReachability](https://github.com/liufan321/NetReachability)：简单的方法检查网络连接的连通性，提供通知中心集成接口。开发者：[Fan Liu](https://github.com/liufan321)
* [entotsu/TKSubmitTransition](https://github.com/entotsu/TKSubmitTransition)：基于 UIButton 的登录加载、返回按钮转场动画组件及示例。开发者：[Takuya Okamoto](https://github.com/entotsu)
* [callmewhy/Uther](https://github.com/callmewhy/Uther)：“跟蠢萌的外星人聊天，还能帮你记事”。开发者：[@请叫我汪二](http://weibo.com/small1030light)

## 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [仿 Taasky 的 3D 翻转菜单动画实现](http://www.brighttj.com/ios/3d-effect-taasky-swift.html)，[如何创建一个非常酷的 3D 效果菜单](http://www.jianshu.com/p/a7f5cab17395)，[如何在 Swift 中使用字典树](http://swift.gg/2015/09/06/a-trie-in-swift/)，[什么时候不适合使用函数式方法](http://swift.gg/2015/08/28/swift_when_the_functional_approach_is_not_right/)， [UIGestureRecognizer 教程：创建自定义手势识别器](http://swift.gg/2015/08/11/uigesturerecognizer-tutorial-creating-custom-recognizers/)，[Swift 函数式编程实践](http://swift.gg/2015/09/04/swift-functional-programming-intro/) 等 6 份，合计已收录 103 份。

* [仿 Taasky 的 3D 翻转菜单动画实现](http://www.brighttj.com/ios/3d-effect-taasky-swift.html)：本文翻译自 Audrey Tam 发布在 raywenderlich 上的文章 [How To Create a Cool 3D Sidebar Animation Like in Taasky](http://www.raywenderlich.com/87268/3d-effect-taasky-swift)。译者：[@saitjr](http://weibo.com/u/1918545437)。顺便，还可以看下[@叶孤城___](http://weibo.com/u/1438670852) 的 [如何创建一个非常酷的 3D 效果菜单](http://www.jianshu.com/p/a7f5cab17395)
* [如何在 Swift 中使用字典树](http://swift.gg/2015/09/06/a-trie-in-swift/)：“Swift 中有许多“不明觉厉”的数据结构，今天我们就来看其中最神秘的一个”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@小铁匠Linus](http://weibo.com/linusling)
* [UIGestureRecognizer 教程：创建自定义手势识别器](http://swift.gg/2015/08/11/uigesturerecognizer-tutorial-creating-custom-recognizers/)：“自定义手势可以使 app 更独特，更有活力，从而取悦用户。... 通过这篇自定义 UIGestureRecognizer 教程你可以掌握所有关于手势识别的知识!”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[mmoaay](http://blog.csdn.net/mmoaay)
* [使用泛型与函数式思想高效解析 JSON](http://swift.gg/2015/08/26/efficient-json-in-swift-with-functional-concepts-and-generics/)：“一段简单的 JSON 解析代码到底能重构几次？来看看国外大牛的脑洞”。原文虽然已经过去了一年，不过，学习价值还是很明显的，推荐阅读。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[shanks](http://codebuild.me/)
* [Swift 函数式编程实践](http://swift.gg/2015/09/04/swift-functional-programming-intro/)：“Swift 为 iOS 编程世界引入了一个新的范式：函数式范式。大多数 iOS 开发者之前都习惯了用 Objective-C 或者其他面向对象编程语言，函数式的编码和思考会变得有点烧脑(brain-addling)”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[shanks](http://codebuild.me/)
* [Swift 中最棒的新特性](http://swift.gg/2015/09/01/friday-qa-2015-06-19-the-best-of-whats-new-in-swift/)：“苹果公司在今年的 WWDC 大会上...除了宣布 Swift 将会开源并且这门语言由苹果独立开发完成之外，Swift 2 还包含很多新的特性，这将大幅改善这门语言。今天我将介绍最重要的几个新特性”。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[Yake](http://blog.csdn.net/yake_099)
* [什么时候不适合使用函数式方法](http://swift.gg/2015/08/28/swift_when_the_functional_approach_is_not_right/)：作者经验告诉我们，在同等性能前提下，当极简代码影响到可读性时，需慎重使用（尤其在协作开发中）。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@天才175 
](http://weibo.com/u/2916092907)
* [KevinHM/ios-good-practices-the-lastest-version](https://github.com/KevinHM/ios-good-practices-the-lastest-version)：“iOS Good Practices 最新版的中文翻译，融合了以往 Objective-C 和最近一些关于 Swift 的内容，Enjoy!”。译者：[Kevin.Xiao](https://github.com/KevinHM)
* [w3crange/Front-End-Develop-Guide](https://github.com/w3crange/Front-End-Develop-Guide)：同学 [@i_icepy](http://weibo.com/u/2455876310) - 《[因为情怀](http://w3crange.github.io/2015/08/24/%E5%9B%A0%E4%B8%BA%E6%83%85%E6%80%80/)》整了这份前端开发指南。诚意之作，强烈推荐。
* [Metaballs and Marching Squares](http://jamie-wong.com/2014/08/19/metaballs-and-marching-squares/)：液态物质分离及组合 3D 动画解决方案。非常详细实用的文章。P.S. 可惜非 Swift 语言版实现。
* [案例学习 - 引导用户授权app发送通知的实战技巧](http://www.beforweb.com/node/758)：“初次授权申请的成功与否会在很大程度上决定着我们能否充分的展示产品价值以留住用户。在这个看似不起眼但几乎是一击决定胜败的环节里，我们需要慎之又慎，对于任何优化方案，都要把各种可能性考虑进去..”。译者：[@C7210](http://weibo.com/c7210)