[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 39
===
> **本期特别推荐** [CALayer Animation 实践－Loading Indicator](http://www.devtalking.com/articles/calayer-animation-loading-lndicator/)，[Replicator Animation](http://www.devtalking.com/articles/calayer-animation-replicator-animation/)：“本文作者以实战示例为引，对CALayer动画进行了初步的介绍，详解CALayer是如何让动画灵动起来。By [@CSDN移动](http://weibo.com/csdnmobile)”。作者：[@DevTalking](http://weibo.com/jacefu)

### 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 [PagingView](https://github.com/KyoheiG3/PagingView), [DDMathParser](https://github.com/davedelong/DDMathParser), [MonkeyKing](https://github.com/nixzhu/MonkeyKing), [Nuke](https://github.com/kean/Nuke), [FileKit](https://github.com/nvzqz/FileKit), [Locksmith](https://github.com/matthewpalmer/Locksmith), [QueryKit](https://github.com/QueryKit/QueryKit), [InceptionTouch](https://github.com/richzertuche/InceptionTouch), [RateLimit](https://github.com/soffes/RateLimit) 等 9 个，合计已收录 197 个。

* [KyoheiG3/PagingView](https://github.com/KyoheiG3/PagingView)：注重细节的自动布局分页视图组件。开发者：[Kyohei Ito](https://github.com/KyoheiG3)
* [richzertuche/InceptionTouch](https://github.com/richzertuche/InceptionTouch)：让没有 3D Touch 设备也有类似交互体验的 InceptionTouch 类（基于 UITextView 实现，支持日期，链接，电话号码，地址触摸响应）。P.S. 虽然有一点噱头，不过也不愧为简单实用的类。开发者：[Ricardo Zertuche](https://github.com/richzertuche)
* [nixzhu/MonkeyKing](https://github.com/nixzhu/MonkeyKing)：信息递交中文社交网络及分享类库。开发者：[@nixzhu](weibo.com/nixzhu)
* [matthewpalmer/Locksmith](https://github.com/matthewpalmer/Locksmith)：能强大、面向协议便于扩展的 Keychain 类库。开发者：[Matthew Palmer](https://github.com/matthewpalmer)
* [soffes/RateLimit](https://github.com/soffes/RateLimit)：简单、实用的代码限制执行次数类库。开发者：[Sam Soffes](https://github.com/soffes)
* [davedelong/DDMathParser](https://github.com/davedelong/DDMathParser)：相比 NSExpression 和 GCMathPaser，功能更强大的数学表达式解析器。开发者：[Dave DeLong](https://github.com/davedelong)
* [drmohundro/SWXMLHash](https://github.com/drmohundro/SWXMLHash)：易用的 XML 解析类库。非常实用的“轮子”。开发者：[David Mohundro](https://github.com/drmohundro)
* [nvzqz/FileKit](https://github.com/nvzqz/FileKit)：使用简单、功能完整的文件管理工具库类。很值得收入。开发者：[Nikolai Vazquez](https://github.com/nvzqz)
* [QueryKit/QueryKit](https://github.com/QueryKit/QueryKit)：使用简单、功能完善的 CoreData 查询类库。开发者：[Kyle Fuller](https://github.com/kylef)
* [kean/Nuke](https://github.com/kean/Nuke)：完整、强大、实用的图片管理类库。主要功能包括可定制装载，缓存，滤镜及尺寸变换。开发者：[Alexander Grebenyuk](https://github.com/kean)
* [kreshikhin/scituner](https://github.com/kreshikhin/scituner)：可以实时查看可视化音频信号的吉它调音器项目及上架应用。开发者：[Denis Kreshikhin](https://github.com/kreshikhin)
* [shu223/iOS-9-Sampler](https://github.com/shu223/iOS-9-Sampler)：iOS Sampler 专业户这次又出了 iOS 9 Sampler，真执着啊。开发者：[shu223](https://github.com/shu223)


## 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [iOS 9 Adaptation Tips](https://github.com/ChenYilong/iOS9AdaptationTips)，[为 Apple TV 开发 tvOS 应用](http://swift.gg/2015/09/14/developing-tvos-apps-for-apple-tv-with-swift/)，[UIKey​Command](http://nshipster.cn/uikeycommand/)，[CALayer Animation 实践－Loading Indicator](http://www.devtalking.com/articles/calayer-animation-loading-lndicator/)，[Replicator Animation](http://www.devtalking.com/articles/calayer-animation-replicator-animation/)，[Swift 集合数据结构性能分析](http://swift.gg/2015/09/09/collection-data-structures-swift/)，[实现与智能机器人聊天的应用教程](http://www.jianshu.com/p/1f93e0fec8a5)，[QR Code 生成器应用](http://www.appcoda.com.tw/qr-code-generator-tutorial/) 等 8 份，合计已收录 111 份。

* [iOS 9 Adaptation Tips](https://github.com/ChenYilong/iOS9AdaptationTips)：iOS 9 适配系列教程。明天 iOS9 正式版就来了，同学的应用准备好了吗？ 作者：[@iOS程序犭袁](http://weibo.com/luohanchenyilong)
* [QR Code 生成器应用](http://www.appcoda.com.tw/qr-code-generator-tutorial/)：“从iOS 7开始，要读取QR码的话，开发者们可以使用AVFoundation框架。至于要产生QR码，开发者们只需要使用核心图片框架（更精确地说，是使用核心图像滤波器）即可”。来源：[AppCoda](http://www.appcoda.com/qr-code-generator-tutorial/)
* [为 Apple TV 开发 tvOS 应用](http://swift.gg/2015/09/14/developing-tvos-apps-for-apple-tv-with-swift/)：虽然该主题文章在天朝不太接地气。不过，把玩、学习用途还是杠杠的。来源：[Jameson Quave](http://jamesonquave.com/blog/developing-tvos-apps-for-apple-tv-with-swift/)，译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[ray16897188](http://www.jianshu.com/users/97c49dfd1f9f/latest_articles)
* [实现与智能机器人聊天的应用教程](http://www.jianshu.com/p/1f93e0fec8a5)：比较接地气的初学者应用开发教程（共连载了四篇）。作者：[@TimeRanger](http://weibo.com/u/2363379653)
* [CALayer Animation 实践－Loading Indicator](http://www.devtalking.com/articles/calayer-animation-loading-lndicator/)，[Replicator Animation](http://www.devtalking.com/articles/calayer-animation-replicator-animation/)：“本文作者以实战示例为引，对CALayer动画进行了初步的介绍，详解CALayer是如何让动画灵动起来。By [@CSDN移动](http://weibo.com/csdnmobile)”。作者：[@DevTalking](http://weibo.com/jacefu)
* [国产 SDK](https://github.com/nixzhu/dev-blog/blob/master/2015-09-18-monkey-king.md)：分享微信解决方案研究及相关探讨。来源：[nixzhu/dev-blog](https://github.com/nixzhu/dev-blog)
* [UIKey​Command](http://nshipster.cn/uikeycommand/)：“虽然我们在创建应用程序时并没有走捷径，这并不意味着用户觉得快捷方式没用。添加键盘命令可以让你的应用程序从屏幕转变到键盘，你的用户一定会喜欢新的选择”。来源：[NSHipster](http://nshipster.com/uikeycommand/)，译者：[April Peng](http://nshipster.cn/translators/april-peng/)
* [Get your iPhone apps ready for 3D Touch](https://developer.apple.com/ios/3d-touch/)：“如果你想要给你的 App 用上 3D Touch，了解这些 Sample 和 Class 就可以了。当然前提是要用 Xcode 7 + iOS 9 来开发。By [@图拉鼎](http://weibo.com/tualatrix)”。
* [Swift 集合数据结构性能分析](http://swift.gg/2015/09/09/collection-data-structures-swift/)：“详细分析了 Swift 中集合数据结构的性能以及和 OC 类型的对比，强烈推荐！”。来源：[Ray Wenderlich](http://www.raywenderlich.com/79850/collection-data-structures-swift)，译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@Yacoee](http://weibo.com/u/5307282688)
* [向用户征询授权的五种常见设计模式](http://beforweb.com/node/766)：“iOS只给你一次机会征询授权，一旦缺乏耐心和理性的用户拒绝授权，结果就是无法使用关键功能或需要退出app去到系统的Settings重新设权。怎样尽可能确保用户在初次使用产品时一次性通过授权？这是一个既有挑战性又有意思的话题…”。译者：[@C7210](http://weibo.com/c7210)


> 2015 苹果发布会印象：1. 打造更完整的产品线（个人 iPhone 6s/Apple Watch、办公 iPad Pro、家庭 Apple TV）；2. 扎实地将优势进一步放大（性能、科技、工艺）；3. 革命性特性已经融入产品优势中（拍照，3D Touch，笔，键盘）；4. 包容性是“最怕的”，因此有了库克符号。