[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 40
===
> **本期特别推荐** 1. 瞬间崩塌为小方块动画效果 [StarWars.iOS](https://github.com/Yalantis/StarWars.iOS)；2. 功能强大的表单组件库 [Eureka](https://github.com/xmartlabs/Eureka)；3. 皮筋式弹性下拉即刷新组件及演示 [DGElasticPullToRefresh](https://github.com/gontovnik/DGElasticPullToRefresh)

### 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 [mattress](https://github.com/buzzfeed/mattress), [Reachability.swift](https://github.com/ashleymills/Reachability.swift), [BluetoothKit](https://github.com/rasmusth/BluetoothKit), [Spectre](https://github.com/kylef/Spectre), [PhoneNumberKit](https://github.com/marmelroy/PhoneNumberKit), [SigmaSwiftStatistics](https://github.com/evgenyneu/SigmaSwiftStatistics), [Neon](https://github.com/mamaral/Neon), [FlagKit](https://github.com/madebybowtie/FlagKit)，[Blurable](https://github.com/FlexMonkey/Blurable), [TFBubbleItUp](https://github.com/thefuntasty/TFBubbleItUp), [SKPhotoBrowserser](https://github.com/suzuki-0000/SKPhotoBrowser), [DGElasticPullToRefresh](https://github.com/gontovnik/DGElasticPullToRefresh), [Eureka](https://github.com/xmartlabs/Eureka), [CardAnimation](https://github.com/seedante/CardAnimation), [Instructions](https://github.com/ephread/Instructions), [LiquidLoader](https://github.com/yoavlt/LiquidLoader), [Plum-O-Meter](https://github.com/FlexMonkey/Plum-O-Meter), [Swift-Radio-Pro](https://github.com/swiftcodex/Swift-Radio-Pro), [SimpleMemo](https://github.com/likumb/SimpleMemo), [StarWars.iOS](https://github.com/Yalantis/StarWars.iOS), [HackingWithSwift](https://github.com/twostraws/HackingWithSwift), [ViewMonitor](https://github.com/daisuke0131/ViewMonitor), [SwiftMock](https://github.com/mflint/SwiftMock), [Watchdog](https://github.com/wojteklukaszuk/Watchdog), [xcode-snippets](https://github.com/Abizern/xcode-snippets) 等 25 个，合计已收录 222 个。

* [buzzfeed/mattress](https://github.com/buzzfeed/mattress)：离线缓存 Web 浏览内容。使用中，可以分别设置缓存内存及磁盘占用大小。功能非常给力。可惜地是，由于 WKWebView 自身对缓存的管理及限制，目前该库基于 WebView 开发。开发者可以按需选用。开发者：[BuzzFeed](https://github.com/buzzfeed)
* [schwa/DeckDick](https://github.com/schwa/DeckDick)：打开网页时基于预先设置规则选择性拦截内容（含脚本），此功能参考学习了 Safari 广告拦截器。开发者：[Jonathan Wight](https://github.com/schwa)
* [ashleymills/Reachability.swift](https://github.com/ashleymills/Reachability.swift)：检测网络连通性实用工具库（Reachability 的 Swift 版本）。开发者：[Ashley Mills](https://github.com/ashleymills)
* [kylef/Spectre](https://github.com/kylef/Spectre)：BDD 框架，写小清新代码。开发者：[Kyle Fuller](https://github.com/kylef)
* [evgenyneu/SigmaSwiftStatistics](https://github.com/evgenyneu/SigmaSwiftStatistics)：统计类计算函数集类库。简单、实用。开发者：[Evgenii Neumerzhitckii](https://github.com/evgenyneu)
* [mamaral/Neon](https://github.com/mamaral/Neon)：功能强大的 UI 布局神器。开发者：[Mike Amaral](https://github.com/mamaral)
* [FlexMonkey/Blurable](https://github.com/FlexMonkey/Blurable)：基于 Swift 协议扩展实现任意 UIView 的高斯模糊算法滤镜库。开发者：[simon gladman](https://github.com/FlexMonkey)
* [TBXark/TKRubberIndicator](https://github.com/TBXark/TKRubberIndicator)：iOS 版弹力动画效果分页切换指示示例。开发者：[@TBXark](http://weibo.com/tbxark)
* [yoavlt/LiquidLoader](https://github.com/yoavlt/LiquidLoader)：实现 dirbbble 上设计师 [Christophe Kerebel](https://dribbble.com/christophekerebel) 设计的细滑进程装载动画效果。开发者：[Takuma Yoshida](https://github.com/yoavlt)
* [gontovnik/DGElasticPullToRefresh](https://github.com/gontovnik/DGElasticPullToRefresh)：皮筋式弹性下拉即刷新组件及演示。组合效果很赞。开发者：[Danil Gontovnik](https://github.com/gontovnik)
* [seedante/CardAnimation](https://github.com/seedante/CardAnimation)：卡片式垂直翻转动画，实现动画效果来自 Dribbble 。实现思路（文章）：[卡片动画 Card Animation](http://www.jianshu.com/p/286222d4edf8)。开发者：[@seedante](http://weibo.com/u/1815689155)
* [seedante/SDECollectionViewAlbumTransition](https://github.com/seedante/SDECollectionViewAlbumTransition)：照片簿展开和收缩动画效果组件及示例（使用说明很详细）。开发者：[@seedante](http://weibo.com/u/1815689155)
* [JohnCoates/Aerial](https://github.com/JohnCoates/Aerial)：新版的 Apple TV 的 Aerial 屏保好帅，现在它可以移植到你的 Mac 了。开发者：[John Coates](https://github.com/JohnCoates)
* [ephread/Instructions](https://github.com/ephread/Instructions)：可定制嵌入式操作指引框架及演示。开发者：[Frédéric Maquin](https://github.com/ephread/)
* [suzuki-0000/SKPhotoBrowser](https://github.com/suzuki-0000/SKPhotoBrowser)：中规中矩、实用的图片浏览类库。示例也很完整。开发者：[suzuki-0000](https://github.com/suzuki-0000)
* [hryk224/PCLBlurEffectAlert](https://github.com/hryk224/PCLBlurEffectAlert)：细节定制较丰富的弹出警报窗口组件。开发者：[hryk224](https://github.com/hryk224)
* [xmartlabs/Eureka](https://github.com/xmartlabs/Eureka)：功能强大的表单组件库，基于 Swift 2.0 重写的 XLForm。开发者：[XMARTLABS](https://github.com/xmartlabs)
* [marmelroy/PhoneNumberKit](https://github.com/marmelroy/PhoneNumberKit)：解析、格式化及验证国际电话号码工具库（相当于 Google 的 libphonenumber 库的 Swift 版本）。开发者：[Roy Marmelstein](https://github.com/marmelroy)
* [madebybowtie/FlagKit](https://github.com/madebybowtie/FlagKit)：漂亮、完整的国旗小图标工具集。开发者：[Bowtie](https://github.com/madebybowtie)
* [thefuntasty/TFBubbleItUp](https://github.com/thefuntasty/TFBubbleItUp)：配置性很强的分段文本标签输入组件。开发者：[The Funtasty](https://github.com/thefuntasty)
* [FlexMonkey/Plum-O-Meter](https://github.com/FlexMonkey/Plum-O-Meter)：基于 3D Touch 做一台同时可称多个较轻圆形物体电子秤。开发者：[simon gladman](https://github.com/FlexMonkey)
* [likumb/SimpleMemo](https://github.com/likumb/SimpleMemo)：“易便签已经转到 Swift2.0，全面适配iOS9和Watch OS2，并支持 iPhone6s 和iPhone6sPlus的3D Touch功能，包括图标快捷键和内容预览”。开发者：[@李俊likumb](http://weibo.com/likumb)
* [Yalantis/StarWars.iOS](https://github.com/Yalantis/StarWars.iOS)：瞬间崩塌为小方块动画效果演示。Yalantis 出品，值得学习。开发者：[Yalantis](https://github.com/Yalantis)
* [EnderTan/PeekAndPopSimulator](https://github.com/EnderTan/PeekAndPopSimulator)：“在老iPhone和模拟器上测试 3D Touch 的 Peek and Pop 功能”。开发者：[@日光镇](http://weibo.com/endertan)
* [iAugux/iBBS-Swift](https://github.com/iAugux/iBBS-Swift)：“新手开源一个用Swift（2.0）写的论坛客户端”。[BBS 服务端](http://obbs.sinaapp.com)。开发者：[@iAugus](http://weibo.com/augusoo7) 
* [Abizern/xcode-snippets](https://github.com/Abizern/xcode-snippets)：Mattt 同学 Xcode-Snippets/Objective-C 的 Swift 版本。开发者：[Abizer Nasir](https://github.com/Abizern)
* [rasmusth/BluetoothKit](https://github.com/rasmusth/BluetoothKit)：基于 CoreBluetooth API 实现iOS/OS X 设备间蓝牙通讯封装类库。功能强大、传输稳定，示例完整，很酷。[Rasmus Taulborg Hummelmose](https://github.com/rasmusth)
* [bignerdranch/CoreDataStack](https://github.com/bignerdranch/CoreDataStack) 和 [THREDOpenSource/SYNQueue](https://github.com/THREDOpenSource/SYNQueue) ：存储栈和执行队列类库搭配使用，是否忆起往惜学生年代。
* [johnlui/Pitaya](https://github.com/johnlui/Pitaya)：“支持 Basic Authorization、SSL 钢钉、HTTP raw body / JSON body、快速文件上传等特性，并通过内置 JSONNeverDie 实现了对 JSON 的完全支持，开箱即用”。开发者：[@吕文翰_JohnLui](http://weibo.com/balishengmuyuan)
* [swiftcodex/Swift-Radio-Pro](https://github.com/swiftcodex/Swift-Radio-Pro)：集成 LastFM 的专业电台应用（基于 Swift 2.0）。怎一个赞字可概括。开发者：[Swift Code X](https://github.com/swiftcodex)
* [daisuke0131/ViewMonitor](https://github.com/daisuke0131/ViewMonitor)：点击测量视图位置、大小、背景、字体大小等信息，应用开发调试神器。开发者：[Daisuke Yamashita](https://github.com/daisuke0131)
* [mflint/SwiftMock](https://github.com/mflint/SwiftMock)：一款 Mock 框架，单元测试的好伴侣。对于需要长期迭代开发的同学是不能少的。开发者：[Matthew Flint](https://github.com/mflint)
* [wojteklukaszuk/Watchdog](https://github.com/wojteklukaszuk/Watchdog)：简单、实用的 Watchdog，实时监视主线程运行或堵塞情况。开发者：[Wojtek Lukaszuk](https://github.com/wojteklukaszuk)
* [twostraws/HackingWithSwift](https://github.com/twostraws/HackingWithSwift)：hackingwithswift.com 示例项目代码库。hackingwithswift.com 是一个优秀、自成一体的 Swift 学习教程网站，非常适合初学者（即便你是零基础学习者）。开发者：[twostraws](https://github.com/twostraws)
* [mobileplayer/mobileplayer-ios](https://github.com/mobileplayer/mobileplayer-ios)：貌似很不错的高度可定制播放器项目。P.S. 只是预热，目前功能及文档都还没有完全。开发者：[Mobile Player](mobileplayer/mobileplayer-ios)
* [xxycode/XXYAudioEngine](https://github.com/xxycode/XXYAudioEngine)：“基于NSURLSession 和 AVAudoPlayer写了一个可以播放在线音乐的工具，可以把音乐保存在本地，也可以支持后台播放，后台下载”。开发者：[@我是叉叉歪](http://weibo.com/u/2729196815)

## 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [详解 Swift 模式匹配](http://swift.gg/2015/10/27/swift-pattern-matching-in-detail/)，[Swift 的类型体系](http://swift.gg/2015/09/23/swift-type-system/)，[NSHipster - guard & defer](http://nshipster.com/guard-and-defer/)，[如何制作一个炫酷好玩的爆炸效果](http://xxycode.com/ru-he-zhi-zuo-ge-xuan-ku-hao-wan-de-bao-zha-xiao-guo-2/) 等 4 份，合计已收录 115 份。

* [Swift 的类型体系](http://swift.gg/2015/09/23/swift-type-system/)：概述了一些 Swift 的特点，可以从另一个角度来理解 Swift。译者：[@画渣程序猿mmoaay](http://weibo.com/smmoaay)
* [详解 Swift 模式匹配](http://swift.gg/2015/10/27/swift-pattern-matching-in-detail/)：学习强大的模式匹配。译者：[mmoaay](http://blog.csdn.net/mmoaay)
* [NSHipster - guard & defer](http://nshipster.com/guard-and-defer/)：Swift 2.0 中 guard 和 defer 语句是极为讨好的新特性，尤其对于那些注重代码细节（甚至有一点代码洁癖）的开发同学。
* [消灭重复又无聊的代码之 UITableView 篇](https://autolayout.club/2015/10/18/可视化编程-Tips-之“消灭重复又无聊的代码之-UITableView-篇”/)：“可视化编程 Tips 之“消灭重复又无聊的代码之 UITableView 篇”。来源：[autolayout.club](https://autolayout.club)
* [自己动手使用 Swift 打造全功能 JSON 解析、生成库](https://lvwenhan.com/ios/463.html)：“本篇文章中，我将跟大家一起，一步一步构造出一个好用的 JSON 解析和生成的库”。作者：[@吕文翰_JohnLui](http://weibo.com/balishengmuyuan)
* [Swift 中的 weak 和 unowned reference](http://www.neilwu.me/tech/Swift-weak-unowned/)：“Swift 是使用 ARC 来自动管理内存，这对开发者提供了便利，但从OC时代引入ARC以来，就一直面临着一个问题：循环引用。使用不当造成的循环引用，会导致内存无法释放，为解决这个问题...”。作者：[@国境向南](http://weibo.com/u/3046792877)
* [如何制作一个炫酷好玩的爆炸效果](http://xxycode.com/ru-he-zhi-zuo-ge-xuan-ku-hao-wan-de-bao-zha-xiao-guo-2/)：无论文章还是代码，真心不错。源代码：[xxycode/UIViewXXYBoom](https://github.com/xxycode/UIViewXXYBoom)，作者：[@我是叉叉歪](http://weibo.com/u/2729196815)
* [15分钟搞定 iOS9 Quick Actions ](http://mp.weixin.qq.com/s?__biz=MjM5NDMzMTcxMg==&mid=212175593&idx=1&sn=887118aaa63d4d364ccf16be9e807a72#rd)：“在 iPhone 6s 或者 iPhone 6s Plus上，当用户按压app icon的时候，会弹出Quick Action，当用户选择其中的action的时候，app会启动并接收到相应的消息”。作者：[@吴发伟_则平](http://weibo.com/wufawei)
* [关于设计原则的思考](http://www.beforweb.com/node/771)：“从“为什么”开始思考和交流，首先站在产品整体的层面将产品目标及其对应的最核心的设计原则思考清楚，那么所有表现层面的细节问题就都是不言自明的了。这些核心原则可以在局部当中支持一两个决策，也可以在全局层面支持成百上千个决策...”。译者：[@C7210](http://weibo.com/c7210)