
[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 42
===
> **本期特别推荐** 1. [C4Framework/C4iOS](https://github.com/C4Framework/C4iOS)：用更少的代码，创建最佳应用体验库。2. [NSCache 源码分析](https://github.com/nixzhu/dev-blog/blob/master/2015-12-09-nscache.md)：读好代码是一个技能。

> 大声1：“我们翻译的 Apple 官方 Swift 文档成为了全球第一个被 [Apple 官方认可的翻译项目](https://swift.org/documentation/#the-swift-programming-language) By [@SwiftGG翻译组](http://weibo.com/swiftguide)”

> 大声2：俺在 [GitHub Awards](http://github-awards.com/users?utf8=✓&type=world&language=Swift) 上 Swift 语言开发者影响力排名又提升了一位，挤身前六。😀

### 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 [focus](https://github.com/mozilla/focus), [Pantry](https://github.com/nickoneill/Pantry), [C4iOS](https://github.com/C4Framework/C4iOS), [XLActionController](https://github.com/xmartlabs/XLActionController), [ImageViewer](https://github.com/MailOnline/ImageViewer), [swiftScan](https://github.com/MxABC/swiftScan), [swift-http](https://github.com/huytd/swift-http), [Curassow](https://github.com/kylef/Curassow), [Laurine](https://github.com/JiriTrecak/Laurine), [Whisper](https://github.com/hyperoslo/Whisper) 等 10 个，合计已收录 258 个。

* [C4Framework/C4iOS](https://github.com/C4Framework/C4iOS)：用更少的代码，创建最佳应用体验库。这个非常值得收录。开发者：[-- C4 --](https://github.com/C4Framework)
* [mozilla/focus](https://github.com/mozilla/focus)：设置拦截 Safari 移动浏览器中的广告内容，分析和社交追踪器，影响浏览性能的 Web 字体的开源项目及应用。来自 mozilla 良心应用。开发者：[Mozilla](https://github.com/mozilla)
* [xmartlabs/XLActionController](https://github.com/xmartlabs/XLActionController)：具有丰富可定制风格及动效的 Action 控制类库。开发者：[XMARTLABS](https://github.com/xmartlabs)
* [MailOnline/ImageViewer](https://github.com/MailOnline/ImageViewer)：图片全屏预览组件及类库。功能完整、图片切换平滑自然，一款用心之作。开发者：[MailOnline](https://github.com/MailOnline)
* [hyperoslo/Whisper](https://github.com/hyperoslo/Whisper)：使用简单、功能实用的消息及应用通知组件。开发者：[Hyper](https://github.com/hyperoslo)
* [mmoaay/MBMotion](https://github.com/mmoaay/MBMotion)：皮筋式动画效果及演示。开发者：[@画渣程序猿mmoaay](http://weibo.com/smmoaay)
* [MxABC/swiftScan](https://github.com/MxABC/swiftScan)：具有丰富功能的二维码扫描组件及类库。[MxABC](https://github.com/MxABC)
* [nickoneill/Pantry](https://github.com/nickoneill/Pantry)：可以持久化基础类型（String, Int, Float, Bool）变量值的类库。无论是退出应用还是重启设备，持久化设置过的变量可以被保存下来。开发者：[Nick O'Neill](https://github.com/nickoneill)
* [huytd/swift-http](https://github.com/huytd/swift-http)：Swift 正式开源后，首个符合开放平台编程规范的最简 HTTP 示例服务器。P.S. 最近基于开放平台、具有代表性的中间件也慢慢多起来了，比如：Perfect, Curassow 等。开发者：[Henry Tr.](https://github.com/huytd)
* [kylef/Curassow](https://github.com/kylef/Curassow)：基于 Swift 开放平台编程规范，实现简单、高效、低耦专业 Web 服务器及示例。P.S. 目前该项目处于起步阶段，可以多加关注。开发者：[Kyle Fuller](https://github.com/kylef)
* [Swift-Flow/Swift-Flow)](https://github.com/Swift-Flow/Swift-Flow)：该框架主要针对单页面应用状态及单向数据流管理。其中包含 UI 状态缓存、服务器响应数据及本地对响应数据的缓存、表单数据输入及创建缓存管理，它相当于 [Redux](https://github.com/rackt/redux) 的 Swift 版本实现。开发者：[https://github.com/Swift-Flow](https://github.com/Swift-Flow)
* [JiriTrecak/Laurine](https://github.com/JiriTrecak/Laurine)：本地化代码生成器及示例。如此利器，一切为了开发者开发更得力。开发者：[Jiří Třečák](JiriTrecak/Laurine)
* [huajiahen/ChineseSubdivisionsPicker](https://github.com/huajiahen/ChineseSubdivisionsPicker)：“因为项目需要用到省市区的 PickerView，花了半天时间用 swift2.1实现了一个，支持 cocoapods，支持 iOS7 以上”。开发者：[@黄嘉恒](http://weibo.com/u/2977681790)
* [lyimin/beautifulApp](https://github.com/lyimin/beautifulApp)：这是一款应用推荐类应用（寻找最美应用）。开发者：[@_亦明](http://weibo.com/u/2728197052)

## 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [NSCache 源码分析](https://github.com/nixzhu/dev-blog/blob/master/2015-12-09-nscache.md)，[Swift 的 NSDate 初学者指南](http://swift.gg/2015/12/14/a-beginners-guide-to-nsdate-in-swift/)，[Swift 字符串速查表](http://www.cocoachina.com/swift/20151218/14746.html)，[选择 Realm 而不是 CoreData](http://swift.gg/2015/12/08/ios-realm-instead-of-coredata/)，[使用 Realm 和 Swift 创建 ToDo 应用](http://swift.gg/2015/12/08/building-a-todo-app-using-realm-and-swift/)，[Awesome-Swift-Education](https://github.com/hsavit1/Awesome-Swift-Education) 等 6 份，合计已收录 133 份。

* [NSCache 源码分析](https://github.com/nixzhu/dev-blog/blob/master/2015-12-09-nscache.md)：“因为 NSCache 的代码并不多，所以先从其下手。顺便体会一下 Foundation 的编程风格。之所以用缓存，是为了以空间换时间。但空间总是有限的，这就需要缓存管理策略”。作者：[@nixzhu](http://weibo.com/swiftguide/nixzhu)
* [Swift String Cheat Sheet](http://useyourloaf.com/blog/swift-string-cheat-sheet.html)：最新 String 使用速查。“一纸说尽 Swift String By [@CodingTogether](http://weibo.com/u/2510885182)”。[中译版：Swift 字符串速查表](http://www.cocoachina.com/swift/20151218/14746.html)，译者：[@星夜暮晨](http://weibo.com/moonisky)
* [Swift 的 NSDate 初学者指南](http://swift.gg/2015/12/14/a-beginners-guide-to-nsdate-in-swift/)：“如果问我在做过的所有项目中做的最多的事情，那处理日期绝对是榜上有名...”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)
* [iOS：选择 Realm 而不是 CoreData](http://swift.gg/2015/12/08/ios-realm-instead-of-coredata/)：再一次更真切地认识 Realm。“Realm 听过很多遍了，到底如何使用？来看看这位作者的 Realm 初体验”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)
* [使用 Realm 和 Swift 创建 ToDo 应用](http://swift.gg/2015/12/08/building-a-todo-app-using-realm-and-swift/)：“最近，我无意中发现了 Realm，一个可以替代 SQLite 和 Core Data 的更好的解决方案”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，来源：[AppCoda](http://www.appcoda.com/realm-database-swift/)，作者：Hossam Ghareeb
* [化零为整：Reduce 详解](http://swift.gg/2015/12/10/reduce-all-the-things/)：教学性、实用性很强的译文。“reduce 是函数式编程中比较难懂的一个概念。reduce 到底是什么意思？适用于哪些场景？今天的文章会给你答案”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)
* [如何在swift下调用 Aspects：将闭包封装成 AnyObject](http://www.jianshu.com/p/91e71d3ffd88) By [@没故事的卓同学](http://weibo.com/u/1926303682)
* [Swift Package Manager 快速上手指南（一）：环境搭建](http://www.csdn.net/article/2015-12-14/2826464-swift-package-manager-tutorial-1?reload=1)：准备用 Swift Package Manager 的同学看这份简明指南，一分钟就懂了。译文来源：[@CSDN移动](http://weibo.com/csdnmobile)
* [Awesome-Swift-Education](https://github.com/hsavit1/Awesome-Swift-Education)：整理地如此美妙的学习资源，实在让人太欢喜了。
* [汤圣罡 | iOS 开发者、Swift 程序员](http://liqi.io/tangshenggang/)：优秀程序员的现身分享是最难得的。“谈及 Swift 开发经验时，他含着泪说「经验就是要有耐心，它一天白屏一百遍，我还待它如初恋」”。来源：[@利器IO](http://weibo.com/liqiio)