[Swift 语言指南](https://github.com/ipader/SwiftGuide)－Issue 45
===
> **本期特别推荐** 1. 项目：[Localize-Swift](https://github.com/marmelroy/Localize-Swift)（国际化及本地化字符串框架库），[AudioKit](https://github.com/audiokit/AudioKit)（音频合成、加工及分析平台框架库）以及 [swift-algorithm-club](https://github.com/hollance/swift-algorithm-club)（Swift 算法俱乐部学习库）；2. 文档：[用 Swift 中的单向数据流来替代臃肿的视图控制器](https://realm.io/cn/news/benji-encz-unidirectional-data-flow-swift/) 和 [Swift中的7个陷阱与如何避免它们](https://developer.ibm.com/swift/2016/01/27/seven-swift-snares-how-to-avoid-them/)

> 大声：[Kingfisher 2.0 版](https://github.com/onevcat/Kingfisher/releases)：“OS X，watchOS，tvOS 全面支持，重写了 Option 设置部分使其扩展性更佳，Swift Package Manager 支持，部分性能优化等等。By [onevcat](http://weibo.com/onevcat)”。

## 项目
> [Swift 项目精选](https://github.com/ipader/SwiftGuide/blob/master/Featured.md)：最近新收录 [Graph](https://github.com/CosmicMind/Graph), [Localize-Swift](https://github.com/marmelroy/Localize-Swift), [Cuckoo](https://github.com/SwiftKit/Cuckoo), [Gecco](https://github.com/yukiasai/Gecco), [AudioKit](https://github.com/audiokit/AudioKit), [vapor](https://github.com/tannernelson/vapor), [Every.swift](https://github.com/samhann/Every.swift) 等 7 个，合计已收录 297 个。

* [CosmicMind/Graph](https://github.com/CosmicMind/Graph)：设计新颖、使用简单，基于 CoreData 持久化类库。开发者：[CosmicMind](https://github.com/CosmicMind)
* [hollance/swift-algorithm-club](https://github.com/hollance/swift-algorithm-club)：Swift 语言算法开源俱乐部。开发同学已经实现了几款常见算法，比如：栈、队列、（几款）排序、（子串）搜索、数组算法等。很具学习价值的开源项目。开发者：[Matthijs Hollemans](hollance/swift-algorithm-club)
* [FengDeng/RxGitHubAPI](https://github.com/FengDeng/RxGitHubAPI)：一个基于 RxSwift 的 GitHub API。设计思路，用法和代码说明参见 [Swift，RxSwift实现的RxGithub API库用法和代码说明](http://fengdeng.github.io/blog/2016/01/31/rxgithub-apiku-yong-fa-he-dai-ma-shuo-ming/)。开发者：[@FengDeng_iOS](http://weibo.com/FengDeng1219)
* [liuzhiyi1992/SpreadButton](https://github.com/liuzhiyi1992/SpreadButton)：这是 Path 菜单 和 AssistiveTouch 的融合体类库及演示项目。开发者 [@潜艇_刘智艺Zzz](http://weibo.com/525567789) 同学附上了[类库功能及开发介绍](http://zyden.vicp.cc/zyspreadbutton/)。
* [Nododo/Swift_100days](https://github.com/Nododo/Swift_100days)：[Swift 100 days](http://samvlu.com) 开发者学习代码开源。
* [sheepy1/SelectionOfZhihu](https://github.com/sheepy1/SelectionOfZhihu)：[看知乎] iOS 版开源实现（[开发介绍](开源项目——『看知乎』iOS 版)）。开发者 [Sheepy](https://github.com/sheepy1/) 同学引用了 ([看知乎] API](http://www.kanzhihu.com/api-document)。
* [marmelroy/Localize-Swift](https://github.com/marmelroy/Localize-Swift)：一款开发者不可或缺的国际化及本地化字符串框架支持类库。同样地，使用简单、直观又方便。毫无疑问，这款非常值得收录。开发者：[Roy Marmelstein](https://github.com/marmelroy) 
* [benloong/TidyJSON](https://github.com/benloong/TidyJSON)：一款简单、易用、明了的 JSON 解析小类库。P.S. 感谢 [@bugizmo](http://weibo.com/bugizmo) 同学自荐。
* [SwiftKit/Cuckoo](https://github.com/SwiftKit/Cuckoo)：一款用法更接近于传统单元测试 Mock 框架库（区别之处在于需要用脚本预先生成 Mock 类）。开发者：[SwiftKit](https://github.com/SwiftKit)
* [yukiasai/Gecco](https://github.com/yukiasai/Gecco)：“是一款支持对视图进行局部高亮的 Swift 库, 帮助 iOS 开发者快速创建产品的新手指导界面。By [GitHubDaily](http://weibo.com/GitHubDaily)”。开发者：[yukiasai](https://github.com/yukiasai)
* [audiokit/AudioKit](https://github.com/audiokit/AudioKit)：音频合成、加工及分析平台（支持 iOS、OS X、tvOS）框架库。无论其易用性，还是功能性及专业性，相信许多用过的同学一定深有体会。开发者：[AudioKit](https://github.com/audiokit)
* [nixzhu/Coolie](https://github.com/nixzhu/Coolie)：一个帮你将 JSON 文件转换为 Swift 结构体模型（及构造方法）的小工具，应该能省去一些打字的时间。开发者：[@nixzhu](http://weibo.com/nixzhu)
* [tannernelson/vapor](https://github.com/tannernelson/vapor)：相比 Perfect，这一款 Web 服务器框架更轻量、小巧型，方便二次开发使用。开发者：[Tanner](https://github.com/tannernelson)
* [samhann/Every.swift](https://github.com/samhann/Every.swift)：定时重复执行代码段工具类库。使用很方便灵活。开发者：[Samhan Salahuddin](https://github.com/samhann)

## 文档
> [Swift 文章精选](https://github.com/ipader/SwiftGuide/blob/master/Featured-Articles.md)：最近新收录 [当 Swift 中的泛型遇到协议](http://chengway.in/dang-swift-zhong-de-fan-xing-yu-dao-xie-yi/)，[协变与逆变](http://swift.gg/2015/12/24/friday-qa-2015-11-20-covariance-and-contravariance/)，[用 Swift 中的单向数据流来替代臃肿的视图控制器](https://realm.io/cn/news/benji-encz-unidirectional-data-flow-swift/)，[CoreData VS Realm](http://www.jianshu.com/p/e9532bd1bb65)，[Swift中的7个陷阱与如何避免它们](https://developer.ibm.com/swift/2016/01/27/seven-swift-snares-how-to-avoid-them/)，[为什么 Swift 中的 String API 如此难用？](http://swift.gg/2016/01/25/friday-qa-2015-11-06-why-is-swifts-string-api-so-hard/)，[UIKit性能调优实战讲解](http://www.jianshu.com/p/619cf14640f3)，[Profiling your Swift compilation times](http://irace.me/swift-profiling) 等 8 份，合计已收录 163 份。

* [当 Swift 中的泛型遇到协议](http://chengway.in/dang-swift-zhong-de-fan-xing-yu-dao-xie-yi/)：好译文。译者同学有心地附上了另一篇参考译文《[协变与逆变](http://swift.gg/2015/12/24/friday-qa-2015-11-20-covariance-and-contravariance/)》对照着阅读。P.S. 扎实地基础才能写出好代码。译者：[@walkingway](http://weibo.com/walkingway)
* [用 Swift 中的单向数据流来替代臃肿的视图控制器](https://realm.io/cn/news/benji-encz-unidirectional-data-flow-swift/)：作者即是 Swift-Flow（近期已与 ReduxKit 合并为 ReSwift）开发者。是一篇相对详细讲解 MVC 框架在应用设计中的片面性，从而引出 Redux 或 Swift-Flow 必要性的讲演稿译文。
* [Swift中的7个陷阱与如何避免它们](https://developer.ibm.com/swift/2016/01/27/seven-swift-snares-how-to-avoid-them/)：好文。表述清晰、直接，这个要转起来。来源：IBM
* [CoreData VS Realm](http://www.jianshu.com/p/e9532bd1bb65)：不错（尤其性能比较章节）。作者：[@Yu_我就想叫一个简单的昵称](http://weibo.com/iyunsn)
* [为什么 Swift 中的 String API 如此难用？](http://swift.gg/2016/01/25/friday-qa-2015-11-06-why-is-swifts-string-api-so-hard/)：String API 真的很失败吗？作者从字符串表示原理讲起，还原 Swift 的设计思想。来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@永远十七岁的Cee妹](http://weibo.com/acgcee)
* [Profiling your Swift compilation times](http://irace.me/swift-profiling)：“如果你想减少你的 Swift 项目的「带薪编译」的时间，这篇文章值得一看。By [@图拉鼎](http://weibo.com/tualatrix)”
* [UIKit性能调优实战讲解](http://www.jianshu.com/p/619cf14640f3)：作者同学从细节着手，让你了解个中利害。“结合Instrument分析影响性能的因素，提出UIKit优化方案并解释背后的原理。还附有一步步调优的Demo”。作者：[@Martin_wjl](http://weibo.com/u/5419850564)
* [在 Swift 中编写 watchOS 2 Hello World 程序](http://swift.gg/2016/01/21/watchos-2-hello-world-app-in-swift/)：“又是一个 watchOS 系列教程，我们会同步更新，学学新技术吧”。译文来源：[@SwiftGG翻译组](http://weibo.com/swiftguide)，译者：[@画渣程序猿mmoaay](http://weibo.com/smmoaay)
* 想了解 [Perfect](http://perfect.org) 的同学，这里有两篇来自 @InfoQ 的 Perfect 入门文章可以看看：《[Perfect：Swift语言服务端开发工具包](http://www.infoq.com/cn/news/2015/11/perfect-swift)》，《[采访 Perfect CEO：Perfect将把Swift带到服务器端](http://www.infoq.com/cn/news/2016/01/perfect-server-side-swift)》


